com.independentsoft.exchange

## Class MapiPropertyTag

- java.lang.Object
- - com.independentsoft.exchange.MapiPropertyTag

-     public class MapiPropertyTag
      extends java.lang.Object

  The Class MapiPropertyTag.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyTag` | `PR_7BIT_DISPLAY_NAME`
    `static PropertyTag` | `PR_AB_DEFAULT_DIR`
    `static PropertyTag` | `PR_AB_DEFAULT_PAB`
    `static PropertyTag` | `PR_AB_PROVIDER_ID`
    `static PropertyTag` | `PR_AB_PROVIDERS`
    `static PropertyTag` | `PR_AB_SEARCH_PATH`
    `static PropertyTag` | `PR_AB_SEARCH_PATH_UPDATE`
    `static PropertyTag` | `PR_ABSTRACT`
    `static PropertyTag` | `PR_ACCESS`
    `static PropertyTag` | `PR_ACCESS_LEVEL`
    `static PropertyTag` | `PR_ACCOUNT`
    `static PropertyTag` | `PR_ACKNOWLEDGEMENT_MODE`
    `static PropertyTag` | `PR_ACL_DATA`
    `static PropertyTag` | `PR_ACL_TABLE`
    `static PropertyTag` | `PR_ACTION`
    `static PropertyTag` | `PR_ACTION_DATE`
    `static PropertyTag` | `PR_ACTION_FLAG`
    `static PropertyTag` | `PR_ACTIVE_USER_ENTRYID`
    `static PropertyTag` | `PR_ADDRBOOK_FOR_LOCAL_SITE_ENTRYID`
    `static PropertyTag` | `PR_ADDRBOOK_MID`
    `static PropertyTag` | `PR_ADDRESS_BOOK_DISPLAY_NAME`
    `static PropertyTag` | `PR_ADDRESS_BOOK_ENTRYID`
    `static PropertyTag` | `PR_ADDRTYPE`
    `static PropertyTag` | `PR_ADMIN_SECURITY_DESCRIPTOR`
    `static PropertyTag` | `PR_AGE_LIMIT`
    `static PropertyTag` | `PR_AGING_GRANULARITY`
    `static PropertyTag` | `PR_AGING_PERIOD`
    `static PropertyTag` | `PR_ALTERNATE_RECIPIENT`
    `static PropertyTag` | `PR_ALTERNATE_RECIPIENT_ALLOWED`
    `static PropertyTag` | `PR_ANR`
    `static PropertyTag` | `PR_ARRIVAL_TIME`
    `static PropertyTag` | `PR_ARTICLE_NUM_NEXT`
    `static PropertyTag` | `PR_ASSISTANT`
    `static PropertyTag` | `PR_ASSISTANT_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_ASSOC_CONTENT_COUNT`
    `static PropertyTag` | `PR_ASSOC_MESSAGE_SIZE`
    `static PropertyTag` | `PR_ASSOC_MESSAGE_SIZE_EXTENDED`
    `static PropertyTag` | `PR_ASSOC_MSG_W_ATTACH_COUNT`
    `static PropertyTag` | `PR_ASSOCIATED`
    `static PropertyTag` | `PR_ATTACH_ADDITIONAL_INFO`
    `static PropertyTag` | `PR_ATTACH_CONTENT_DISPOSITION`
    `static PropertyTag` | `PR_ATTACH_CONTENT_ID`
    `static PropertyTag` | `PR_ATTACH_CONTENT_LOCATION`
    `static PropertyTag` | `PR_ATTACH_DATA_BIN`
    `static PropertyTag` | `PR_ATTACH_DATA_OBJ`
    `static PropertyTag` | `PR_ATTACH_ENCODING`
    `static PropertyTag` | `PR_ATTACH_EXTENSION`
    `static PropertyTag` | `PR_ATTACH_EXTENSION_W`
    `static PropertyTag` | `PR_ATTACH_FILENAME`
    `static PropertyTag` | `PR_ATTACH_FILENAME_W`
    `static PropertyTag` | `PR_ATTACH_FLAGS`
    `static PropertyTag` | `PR_ATTACH_ID`
    `static PropertyTag` | `PR_ATTACH_LONG_FILENAME`
    `static PropertyTag` | `PR_ATTACH_LONG_FILENAME_W`
    `static PropertyTag` | `PR_ATTACH_LONG_PATHNAME`
    `static PropertyTag` | `PR_ATTACH_METHOD`
    `static PropertyTag` | `PR_ATTACH_MIME_TAG`
    `static PropertyTag` | `PR_ATTACH_NUM`
    `static PropertyTag` | `PR_ATTACH_ON_ASSOC_MSG_COUNT`
    `static PropertyTag` | `PR_ATTACH_ON_NORMAL_MSG_COUNT`
    `static PropertyTag` | `PR_ATTACH_PATHNAME`
    `static PropertyTag` | `PR_ATTACH_RENDERING`
    `static PropertyTag` | `PR_ATTACH_SIZE`
    `static PropertyTag` | `PR_ATTACH_TAG`
    `static PropertyTag` | `PR_ATTACH_TRANSPORT_NAME`
    `static PropertyTag` | `PR_ATTACH_VIRUS_SCAN_INFO`
    `static PropertyTag` | `PR_ATTACHMENT_CONTACTPHOTO`
    `static PropertyTag` | `PR_ATTACHMENT_FLAGS`
    `static PropertyTag` | `PR_ATTACHMENT_HIDDEN`
    `static PropertyTag` | `PR_ATTACHMENT_LINKID`
    `static PropertyTag` | `PR_ATTACHMENT_X400_PARAMETERS`
    `static PropertyTag` | `PR_ATTR_HIDDEN`
    `static PropertyTag` | `PR_ATTR_READONLY`
    `static PropertyTag` | `PR_ATTR_SYSTEM`
    `static PropertyTag` | `PR_AUTHORIZING_USERS`
    `static PropertyTag` | `PR_AUTO_ADD_NEW_SUBS`
    `static PropertyTag` | `PR_AUTO_FORWARD_COMMENT`
    `static PropertyTag` | `PR_AUTO_FORWARDED`
    `static PropertyTag` | `PR_AUTO_RESET`
    `static PropertyTag` | `PR_AUTO_RESPONSE_SUPPRESS`
    `static PropertyTag` | `PR_BEEPER_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_BILATERAL_INFO`
    `static PropertyTag` | `PR_BIRTHDAY`
    `static PropertyTag` | `PR_BODY`
    `static PropertyTag` | `PR_BODY_CRC`
    `static PropertyTag` | `PR_BUSINESS_ADDRESS_CITY`
    `static PropertyTag` | `PR_BUSINESS_ADDRESS_COUNTRY`
    `static PropertyTag` | `PR_BUSINESS_ADDRESS_POST_OFFICE_BOX`
    `static PropertyTag` | `PR_BUSINESS_ADDRESS_POSTAL_CODE`
    `static PropertyTag` | `PR_BUSINESS_ADDRESS_STATE_OR_PROVINCE`
    `static PropertyTag` | `PR_BUSINESS_ADDRESS_STREET`
    `static PropertyTag` | `PR_BUSINESS_FAX_NUMBER`
    `static PropertyTag` | `PR_BUSINESS_HOME_PAGE`
    `static PropertyTag` | `PR_BUSINESS_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_BUSINESS2_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_CACHED_COLUMN_COUNT`
    `static PropertyTag` | `PR_CAL_END_TIME`
    `static PropertyTag` | `PR_CAL_RECURRING_ID`
    `static PropertyTag` | `PR_CAL_REMINDER_NEXT_TIME`
    `static PropertyTag` | `PR_CAL_START_TIME`
    `static PropertyTag` | `PR_CALLBACK_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_CAR_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_CATEG_COUNT`
    `static PropertyTag` | `PR_CATEG_ID`
    `static PropertyTag` | `PR_CDO_EXPANSION_INDEX`
    `static PropertyTag` | `PR_CELLULAR_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_CHANGE_ADVISOR`
    `static PropertyTag` | `PR_CHANGE_KEY`
    `static PropertyTag` | `PR_CHANGE_NOTIFICATION_GUID`
    `static PropertyTag` | `PR_CHECK_IN_COMMENT`
    `static PropertyTag` | `PR_CHECK_IN_TIME`
    `static PropertyTag` | `PR_CHILDRENS_NAMES`
    `static PropertyTag` | `PR_CLIENT_ACTIONS`
    `static PropertyTag` | `PR_CLIENT_SUBMIT_TIME`
    `static PropertyTag` | `PR_CN_EXPORT`
    `static PropertyTag` | `PR_CN_MV_EXPORT`
    `static PropertyTag` | `PR_CODE_PAGE_ID`
    `static PropertyTag` | `PR_COLLECTOR`
    `static PropertyTag` | `PR_COMMENT`
    `static PropertyTag` | `PR_COMMON_VIEWS_ENTRYID`
    `static PropertyTag` | `PR_COMPANY_MAIN_PHONE_NUMBER`
    `static PropertyTag` | `PR_COMPANY_NAME`
    `static PropertyTag` | `PR_COMPUTER_NETWORK_NAME`
    `static PropertyTag` | `PR_CONFLICT_ENTRYID`
    `static PropertyTag` | `PR_CONFLICT_MSG_KEY`
    `static PropertyTag` | `PR_CONNECTION_MODULUS`
    `static PropertyTag` | `PR_CONTACT_ADDRTYPES`
    `static PropertyTag` | `PR_CONTACT_COUNT`
    `static PropertyTag` | `PR_CONTACT_DEFAULT_ADDRESS_INDEX`
    `static PropertyTag` | `PR_CONTACT_EMAIL_ADDRESSES`
    `static PropertyTag` | `PR_CONTACT_ENTRYIDS`
    `static PropertyTag` | `PR_CONTACT_VERSION`
    `static PropertyTag` | `PR_CONTAINER_CLASS`
    `static PropertyTag` | `PR_CONTAINER_CONTENTS`
    `static PropertyTag` | `PR_CONTAINER_FLAGS`
    `static PropertyTag` | `PR_CONTAINER_HIERARCHY`
    `static PropertyTag` | `PR_CONTAINER_MODIFY_VERSION`
    `static PropertyTag` | `PR_CONTENT_CONFIDENTIALITY_ALGORITHM_ID`
    `static PropertyTag` | `PR_CONTENT_CORRELATOR`
    `static PropertyTag` | `PR_CONTENT_COUNT`
    `static PropertyTag` | `PR_CONTENT_IDENTIFIER`
    `static PropertyTag` | `PR_CONTENT_INTEGRITY_CHECK`
    `static PropertyTag` | `PR_CONTENT_LENGTH`
    `static PropertyTag` | `PR_CONTENT_RETURN_REQUESTED`
    `static PropertyTag` | `PR_CONTENT_SEARCH_KEY`
    `static PropertyTag` | `PR_CONTENT_UNREAD`
    `static PropertyTag` | `PR_CONTENTS_SORT_ORDER`
    `static PropertyTag` | `PR_CONTENTS_SYNCHRONIZER`
    `static PropertyTag` | `PR_CONTROL_FLAGS`
    `static PropertyTag` | `PR_CONTROL_ID`
    `static PropertyTag` | `PR_CONTROL_STRUCTURE`
    `static PropertyTag` | `PR_CONTROL_TYPE`
    `static PropertyTag` | `PR_CONVERSATION_INDEX`
    `static PropertyTag` | `PR_CONVERSATION_KEY`
    `static PropertyTag` | `PR_CONVERSATION_TOPIC`
    `static PropertyTag` | `PR_CONVERSION_EITS`
    `static PropertyTag` | `PR_CONVERSION_PROHIBITED`
    `static PropertyTag` | `PR_CONVERSION_WITH_LOSS_PROHIBITED`
    `static PropertyTag` | `PR_CONVERTED_EITS`
    `static PropertyTag` | `PR_CORRELATE`
    `static PropertyTag` | `PR_CORRELATE_MTSID`
    `static PropertyTag` | `PR_COUNTRY`
    `static PropertyTag` | `PR_CREATE_TEMPLATES`
    `static PropertyTag` | `PR_CREATION_TIME`
    `static PropertyTag` | `PR_CREATION_VERSION`
    `static PropertyTag` | `PR_CREATOR_ENTRYID`
    `static PropertyTag` | `PR_CREATOR_FLAGS`
    `static PropertyTag` | `PR_CREATOR_NAME`
    `static PropertyTag` | `PR_CREATOR_SID`
    `static PropertyTag` | `PR_CREATOR_SIMPLE_DISP_NAME`
    `static PropertyTag` | `PR_CURRENT_VERSION`
    `static PropertyTag` | `PR_CUSTOMER_ID`
    `static PropertyTag` | `PR_DAM_BACK_PATCHED`
    `static PropertyTag` | `PR_DAM_ORIGINAL_ENTRYID`
    `static PropertyTag` | `PR_DAV_SUBMIT_DATA`
    `static PropertyTag` | `PR_DECLINE_CONFLICTING_MEETING_REQUESTS`
    `static PropertyTag` | `PR_DECLINE_RECURRING_MEETING_REQUESTS`
    `static PropertyTag` | `PR_DEF_CREATE_DL`
    `static PropertyTag` | `PR_DEF_CREATE_MAILUSER`
    `static PropertyTag` | `PR_DEF_FORM_NAME`
    `static PropertyTag` | `PR_DEF_MSG_CLASS`
    `static PropertyTag` | `PR_DEFAULT_PROFILE`
    `static PropertyTag` | `PR_DEFAULT_STORE`
    `static PropertyTag` | `PR_DEFAULT_VIEW_ENTRYID`
    `static PropertyTag` | `PR_DEFERRED_DELIVERY_TIME`
    `static PropertyTag` | `PR_DEFERRED_SEND_NUMBER`
    `static PropertyTag` | `PR_DEFERRED_SEND_TIME`
    `static PropertyTag` | `PR_DEFERRED_SEND_UNITS`
    `static PropertyTag` | `PR_DELEGATED_BY_RULE`
    `static PropertyTag` | `PR_DELEGATES_DISPLAY_NAMES`
    `static PropertyTag` | `PR_DELEGATES_ENTRYIDS`
    `static PropertyTag` | `PR_DELEGATES_SEE_PRIVATE`
    `static PropertyTag` | `PR_DELEGATION`
    `static PropertyTag` | `PR_DELETE_AFTER_SUBMIT`
    `static PropertyTag` | `PR_DELETE_TIME`
    `static PropertyTag` | `PR_DELETED_ASSOC_MESSAGE_SIZE_EXTENDED`
    `static PropertyTag` | `PR_DELETED_ASSOC_MSG_COUNT`
    `static PropertyTag` | `PR_DELETED_COUNT_TOTAL`
    `static PropertyTag` | `PR_DELETED_FOLDER_COUNT`
    `static PropertyTag` | `PR_DELETED_MESSAGE_SIZE_EXTENDED`
    `static PropertyTag` | `PR_DELETED_MSG_COUNT`
    `static PropertyTag` | `PR_DELETED_NORMAL_MESSAGE_SIZE_EXTENDED`
    `static PropertyTag` | `PR_DELETED_ON`
    `static PropertyTag` | `PR_DELETED_SUBFOLDER_CT`
    `static PropertyTag` | `PR_DELIVER_TIME`
    `static PropertyTag` | `PR_DELIVER_TO_DN`
    `static PropertyTag` | `PR_DELIVERY_POINT`
    `static PropertyTag` | `PR_DELTAX`
    `static PropertyTag` | `PR_DELTAY`
    `static PropertyTag` | `PR_DEPARTMENT_NAME`
    `static PropertyTag` | `PR_DEPTH`
    `static PropertyTag` | `PR_DESIGN_IN_PROGRESS`
    `static PropertyTag` | `PR_DETAILS_TABLE`
    `static PropertyTag` | `PR_DID`
    `static PropertyTag` | `PR_DISABLE_FULL_FIDELITY`
    `static PropertyTag` | `PR_DISABLE_PERUSER_READ`
    `static PropertyTag` | `PR_DISABLE_WINSOCK`
    `static PropertyTag` | `PR_DISC_VAL`
    `static PropertyTag` | `PR_DISCARD_REASON`
    `static PropertyTag` | `PR_DISCLOSE_RECIPIENTS`
    `static PropertyTag` | `PR_DISCLOSURE_OF_RECIPIENTS`
    `static PropertyTag` | `PR_DISCRETE_VALUES`
    `static PropertyTag` | `PR_DISPLAY_BCC`
    `static PropertyTag` | `PR_DISPLAY_CC`
    `static PropertyTag` | `PR_DISPLAY_NAME`
    `static PropertyTag` | `PR_DISPLAY_NAME_PREFIX`
    `static PropertyTag` | `PR_DISPLAY_TO`
    `static PropertyTag` | `PR_DISPLAY_TYPE`
    `static PropertyTag` | `PR_DL_EXPANSION_HISTORY`
    `static PropertyTag` | `PR_DL_EXPANSION_PROHIBITED`
    `static PropertyTag` | `PR_DL_REPORT_FLAGS`
    `static PropertyTag` | `PR_DOTSTUFF_STATE`
    `static PropertyTag` | `PR_DRAFTID`
    `static PropertyTag` | `PR_EC_WARNING`
    `static PropertyTag` | `PR_EFORMS_FOR_LOCALE_ENTRYID`
    `static PropertyTag` | `PR_EFORMS_LOCALE_ID`
    `static PropertyTag` | `PR_EFORMS_REGISTRY_ENTRYID`
    `static PropertyTag` | `PR_EMAIL_ADDRESS`
    `static PropertyTag` | `PR_EMS_AB_DISPLAY_NAME_PRINTABLE`
    `static PropertyTag` | `PR_END_ATTACH`
    `static PropertyTag` | `PR_END_BCC_RECIP`
    `static PropertyTag` | `PR_END_CC_RECIP`
    `static PropertyTag` | `PR_END_DATE`
    `static PropertyTag` | `PR_END_EMBED`
    `static PropertyTag` | `PR_END_FOLDER`
    `static PropertyTag` | `PR_END_MESSAGE`
    `static PropertyTag` | `PR_END_P1_RECIP`
    `static PropertyTag` | `PR_END_RECIP`
    `static PropertyTag` | `PR_ENTRYID`
    `static PropertyTag` | `PR_ER_FLAG`
    `static PropertyTag` | `PR_EVENTS_ROOT_FOLDER_ENTRYID`
    `static PropertyTag` | `PR_EXCEPTION_ENDTIME`
    `static PropertyTag` | `PR_EXCEPTION_STARTTIME`
    `static PropertyTag` | `PR_EXCESS_STORAGE_USED`
    `static PropertyTag` | `PR_EXPIRY_NUMBER`
    `static PropertyTag` | `PR_EXPIRY_TIME`
    `static PropertyTag` | `PR_EXPIRY_UNITS`
    `static PropertyTag` | `PR_EXPLICIT_CONVERSION`
    `static PropertyTag` | `PR_EXTENDED_ACL_DATA`
    `static PropertyTag` | `PR_FAST_TRANSFER`
    `static PropertyTag` | `PR_FAV_AUTOSUBFOLDERS`
    `static PropertyTag` | `PR_FAV_DEL_SUBS`
    `static PropertyTag` | `PR_FAV_DISPLAY_ALIAS`
    `static PropertyTag` | `PR_FAV_DISPLAY_NAME`
    `static PropertyTag` | `PR_FAV_INHERIT_AUTO`
    `static PropertyTag` | `PR_FAV_LEVEL_MASK`
    `static PropertyTag` | `PR_FAV_PARENT_SOURCE_KEY`
    `static PropertyTag` | `PR_FAV_PUBLIC_SOURCE_KEY`
    `static PropertyTag` | `PR_FAVORITES_DEFAULT_NAME`
    `static PropertyTag` | `PR_FID`
    `static PropertyTag` | `PR_FILE_SIZE_EXTENDED`
    `static PropertyTag` | `PR_FILTERING_HOOKS`
    `static PropertyTag` | `PR_FINDER_ENTRYID`
    `static PropertyTag` | `PR_FLAG_COMPLETE`
    `static PropertyTag` | `PR_FLAG_ICON`
    `static PropertyTag` | `PR_FLAG_STATUS`
    `static PropertyTag` | `PR_FOLDER_ASSOCIATED_CONTENTS`
    `static PropertyTag` | `PR_FOLDER_CHILD_COUNT`
    `static PropertyTag` | `PR_FOLDER_DESIGN_FLAGS`
    `static PropertyTag` | `PR_FOLDER_FLAGS`
    `static PropertyTag` | `PR_FOLDER_PATHNAME`
    `static PropertyTag` | `PR_FOLDER_TYPE`
    `static PropertyTag` | `PR_FOLDER_VIEWS_ONLY`
    `static PropertyTag` | `PR_FOLDER_WEBVIEWINFO`
    `static PropertyTag` | `PR_FOLDER_XVIEWINFO_E`
    `static PropertyTag` | `PR_FOREIGN_ID`
    `static PropertyTag` | `PR_FOREIGN_REPORT_ID`
    `static PropertyTag` | `PR_FOREIGN_SUBJECT_ID`
    `static PropertyTag` | `PR_FORM_CATEGORY`
    `static PropertyTag` | `PR_FORM_CATEGORY_SUB`
    `static PropertyTag` | `PR_FORM_CLSID`
    `static PropertyTag` | `PR_FORM_CONTACT_NAME`
    `static PropertyTag` | `PR_FORM_DESIGNER_GUID`
    `static PropertyTag` | `PR_FORM_DESIGNER_NAME`
    `static PropertyTag` | `PR_FORM_HIDDEN`
    `static PropertyTag` | `PR_FORM_HOST_MAP`
    `static PropertyTag` | `PR_FORM_MESSAGE_BEHAVIOR`
    `static PropertyTag` | `PR_FORM_VERSION`
    `static PropertyTag` | `PR_FREE_BUSY_FOR_LOCAL_SITE_ENTRYID`
    `static PropertyTag` | `PR_FREEBUSY_ALL_EVENTS`
    `static PropertyTag` | `PR_FREEBUSY_ALL_MONTHS`
    `static PropertyTag` | `PR_FREEBUSY_BUSY_EVENTS`
    `static PropertyTag` | `PR_FREEBUSY_BUSY_MONTHS`
    `static PropertyTag` | `PR_FREEBUSY_EMAIL_ADDRESS`
    `static PropertyTag` | `PR_FREEBUSY_END_RANGE`
    `static PropertyTag` | `PR_FREEBUSY_ENTRYIDS`
    `static PropertyTag` | `PR_FREEBUSY_LAST_MODIFIED`
    `static PropertyTag` | `PR_FREEBUSY_NUM_MONTHS`
    `static PropertyTag` | `PR_FREEBUSY_OOF_EVENTS`
    `static PropertyTag` | `PR_FREEBUSY_OOF_MONTHS`
    `static PropertyTag` | `PR_FREEBUSY_START_RANGE`
    `static PropertyTag` | `PR_FREEBUSY_TENTATIVE_EVENTS`
    `static PropertyTag` | `PR_FREEBUSY_TENTATIVE_MONTHS`
    `static PropertyTag` | `PR_FROM_I_HAVE`
    `static PropertyTag` | `PR_FTP_SITE`
    `static PropertyTag` | `PR_FX_DEL_PROP`
    `static PropertyTag` | `PR_GENDER`
    `static PropertyTag` | `PR_GENERATE_EXCHANGE_VIEWS`
    `static PropertyTag` | `PR_GENERATION`
    `static PropertyTag` | `PR_GIVEN_NAME`
    `static PropertyTag` | `PR_GOVERNMENT_ID_NUMBER`
    `static PropertyTag` | `PR_GW_ADMIN_OPERATIONS`
    `static PropertyTag` | `PR_GW_MTSIN_ENTRYID`
    `static PropertyTag` | `PR_GW_MTSOUT_ENTRYID`
    `static PropertyTag` | `PR_HAS_ATTACH_FROM_IMAIL`
    `static PropertyTag` | `PR_HAS_DAMS`
    `static PropertyTag` | `PR_HAS_MODERATOR_RULES`
    `static PropertyTag` | `PR_HAS_NAMED_PROPERTIES`
    `static PropertyTag` | `PR_HAS_RULES`
    `static PropertyTag` | `PR_HASATTACH`
    `static PropertyTag` | `PR_HEADER_FOLDER_ENTRYID`
    `static PropertyTag` | `PR_HIERARCHY_CHANGE_NUM`
    `static PropertyTag` | `PR_HIERARCHY_SERVER`
    `static PropertyTag` | `PR_HIERARCHY_SYNCHRONIZER`
    `static PropertyTag` | `PR_HOBBIES`
    `static PropertyTag` | `PR_HOME_ADDRESS_CITY`
    `static PropertyTag` | `PR_HOME_ADDRESS_COUNTRY`
    `static PropertyTag` | `PR_HOME_ADDRESS_POST_OFFICE_BOX`
    `static PropertyTag` | `PR_HOME_ADDRESS_POSTAL_CODE`
    `static PropertyTag` | `PR_HOME_ADDRESS_STATE_OR_PROVINCE`
    `static PropertyTag` | `PR_HOME_ADDRESS_STREET`
    `static PropertyTag` | `PR_HOME_FAX_NUMBER`
    `static PropertyTag` | `PR_HOME_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_HOME2_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_HTML`
    `static PropertyTag` | `PR_ICON`
    `static PropertyTag` | `PR_ICS_CHANGE_KEY`
    `static PropertyTag` | `PR_ICS_NOTIF`
    `static PropertyTag` | `PR_IDENTITY_DISPLAY`
    `static PropertyTag` | `PR_IDENTITY_ENTRYID`
    `static PropertyTag` | `PR_IDENTITY_SEARCH_KEY`
    `static PropertyTag` | `PR_IDSET_GIVEN`
    `static PropertyTag` | `PR_IFS_INTERNAL_DATA`
    `static PropertyTag` | `PR_IMAP_INTERNAL_DATE`
    `static PropertyTag` | `PR_IMAP_LAST_ARTICLE_ID`
    `static PropertyTag` | `PR_IMPLICIT_CONVERSION_PROHIBITED`
    `static PropertyTag` | `PR_IMPLIED_RESTRICTIONS`
    `static PropertyTag` | `PR_IMPORTANCE`
    `static PropertyTag` | `PR_IN_CONFLICT`
    `static PropertyTag` | `PR_IN_REPLY_TO_ID`
    `static PropertyTag` | `PR_IN_TRANSIT`
    `static PropertyTag` | `PR_INBOUND_NEWSFEED_DN`
    `static PropertyTag` | `PR_INCOMPLETE_COPY`
    `static PropertyTag` | `PR_INCR_SYNC_CHG`
    `static PropertyTag` | `PR_INCR_SYNC_DEL`
    `static PropertyTag` | `PR_INCR_SYNC_END`
    `static PropertyTag` | `PR_INCR_SYNC_MSG`
    `static PropertyTag` | `PR_INET_MAIL_OVERRIDE_FORMAT`
    `static PropertyTag` | `PR_INITIAL_DETAILS_PANE`
    `static PropertyTag` | `PR_INITIALS`
    `static PropertyTag` | `PR_INST_ID`
    `static PropertyTag` | `PR_INSTANCE_KEY`
    `static PropertyTag` | `PR_INSTANCE_NUM`
    `static PropertyTag` | `PR_INTERNAL_POST_REPLY`
    `static PropertyTag` | `PR_INTERNAL_TRACE_INFO`
    `static PropertyTag` | `PR_INTERNET_APPROVED`
    `static PropertyTag` | `PR_INTERNET_ARTICLE_NUMBER`
    `static PropertyTag` | `PR_INTERNET_CHARSET`
    `static PropertyTag` | `PR_INTERNET_CONTENT`
    `static PropertyTag` | `PR_INTERNET_CONTROL`
    `static PropertyTag` | `PR_INTERNET_CPID`
    `static PropertyTag` | `PR_INTERNET_DISTRIBUTION`
    `static PropertyTag` | `PR_INTERNET_FOLLOWUP_TO`
    `static PropertyTag` | `PR_INTERNET_FREE_DOC_INFO`
    `static PropertyTag` | `PR_INTERNET_LINES`
    `static PropertyTag` | `PR_INTERNET_MESSAGE_ID`
    `static PropertyTag` | `PR_INTERNET_MESSAGE_INFO`
    `static PropertyTag` | `PR_INTERNET_NEWSGROUP_NAME`
    `static PropertyTag` | `PR_INTERNET_NEWSGROUPS`
    `static PropertyTag` | `PR_INTERNET_NNTP_PATH`
    `static PropertyTag` | `PR_INTERNET_ORGANIZATION`
    `static PropertyTag` | `PR_INTERNET_PARSE_STATE`
    `static PropertyTag` | `PR_INTERNET_PRECEDENCE`
    `static PropertyTag` | `PR_INTERNET_REFERENCES`
    `static PropertyTag` | `PR_INTERNET_SENT_REPRESENTING_NAME`
    `static PropertyTag` | `PR_INTERNET_SUBJECT`
    `static PropertyTag` | `PR_IPM_APPOINTMENT_ENTRYID`
    `static PropertyTag` | `PR_IPM_CONTACT_ENTRYID`
    `static PropertyTag` | `PR_IPM_DAF_ENTRYID`
    `static PropertyTag` | `PR_IPM_DRAFTS_ENTRYID`
    `static PropertyTag` | `PR_IPM_FAVORITES_ENTRYID`
    `static PropertyTag` | `PR_IPM_ID`
    `static PropertyTag` | `PR_IPM_JOURNAL_ENTRYID`
    `static PropertyTag` | `PR_IPM_NOTE_ENTRYID`
    `static PropertyTag` | `PR_IPM_OUTBOX_ENTRYID`
    `static PropertyTag` | `PR_IPM_OUTBOX_SEARCH_KEY`
    `static PropertyTag` | `PR_IPM_PUBLIC_FOLDERS_ENTRYID`
    `static PropertyTag` | `PR_IPM_RETURN_REQUESTED`
    `static PropertyTag` | `PR_IPM_SENTMAIL_ENTRYID`
    `static PropertyTag` | `PR_IPM_SENTMAIL_SEARCH_KEY`
    `static PropertyTag` | `PR_IPM_SUBTREE_ENTRYID`
    `static PropertyTag` | `PR_IPM_SUBTREE_SEARCH_KEY`
    `static PropertyTag` | `PR_IPM_TASK_ENTRYID`
    `static PropertyTag` | `PR_IPM_WASTEBASKET_ENTRYID`
    `static PropertyTag` | `PR_IPM_WASTEBASKET_SEARCH_KEY`
    `static PropertyTag` | `PR_IS_NEWSGROUP`
    `static PropertyTag` | `PR_IS_NEWSGROUP_ANCHOR`
    `static PropertyTag` | `PR_ISDN_NUMBER`
    `static PropertyTag` | `PR_KEYWORD`
    `static PropertyTag` | `PR_LANGUAGE`
    `static PropertyTag` | `PR_LANGUAGES`
    `static PropertyTag` | `PR_LAST_ACCESS_TIME`
    `static PropertyTag` | `PR_LAST_CONFLICT`
    `static PropertyTag` | `PR_LAST_FULL_BACKUP`
    `static PropertyTag` | `PR_LAST_LOGOFF_TIME`
    `static PropertyTag` | `PR_LAST_LOGON_TIME`
    `static PropertyTag` | `PR_LAST_MODIFICATION_TIME`
    `static PropertyTag` | `PR_LAST_MODIFIER_ENTRYID`
    `static PropertyTag` | `PR_LAST_MODIFIER_NAME`
    `static PropertyTag` | `PR_LAST_MODIFIER_SID`
    `static PropertyTag` | `PR_LAST_VERB_EXECUTED`
    `static PropertyTag` | `PR_LAST_VERB_EXECUTION_TIME`
    `static PropertyTag` | `PR_LATEST_DELIVERY_TIME`
    `static PropertyTag` | `PR_LIST_HELP`
    `static PropertyTag` | `PR_LIST_SUBSCRIBE`
    `static PropertyTag` | `PR_LIST_UNSUBSCRIBE`
    `static PropertyTag` | `PR_LOCAL_COMMIT_TIME`
    `static PropertyTag` | `PR_LOCAL_COMMIT_TIME_MAX`
    `static PropertyTag` | `PR_LOCALE_ID`
    `static PropertyTag` | `PR_LOCALITY`
    `static PropertyTag` | `PR_LOCATION`
    `static PropertyTag` | `PR_LONGTERM_ENTRYID_FROM_TABLE`
    `static PropertyTag` | `PR_LTID`
    `static PropertyTag` | `PR_MAIL_PERMISSION`
    `static PropertyTag` | `PR_MAILBEAT_BOUNCE_SERVER`
    `static PropertyTag` | `PR_MAILBEAT_REPLY_PROCESSED`
    `static PropertyTag` | `PR_MAILBEAT_REPLY_RECEIVED`
    `static PropertyTag` | `PR_MAILBEAT_REPLY_SENT`
    `static PropertyTag` | `PR_MAILBEAT_REPLY_SUBMIT`
    `static PropertyTag` | `PR_MAILBEAT_REQUEST_PROCESSED`
    `static PropertyTag` | `PR_MAILBEAT_REQUEST_RECEIVED`
    `static PropertyTag` | `PR_MAILBEAT_REQUEST_SENT`
    `static PropertyTag` | `PR_MAILBOX_OWNER_ENTRYID`
    `static PropertyTag` | `PR_MAILBOX_OWNER_NAME`
    `static PropertyTag` | `PR_MANAGER_NAME`
    `static PropertyTag` | `PR_MAPPING_SIGNATURE`
    `static PropertyTag` | `PR_MDB_PROVIDER`
    `static PropertyTag` | `PR_MEMBER_ENTRYID`
    `static PropertyTag` | `PR_MEMBER_ID`
    `static PropertyTag` | `PR_MEMBER_NAME`
    `static PropertyTag` | `PR_MEMBER_RIGHTS`
    `static PropertyTag` | `PR_MESSAGE_ATTACHMENTS`
    `static PropertyTag` | `PR_MESSAGE_CC_ME`
    `static PropertyTag` | `PR_MESSAGE_CLASS`
    `static PropertyTag` | `PR_MESSAGE_CODEPAGE`
    `static PropertyTag` | `PR_MESSAGE_DELIVERY_ID`
    `static PropertyTag` | `PR_MESSAGE_DELIVERY_TIME`
    `static PropertyTag` | `PR_MESSAGE_DOWNLOAD_TIME`
    `static PropertyTag` | `PR_MESSAGE_FLAGS`
    `static PropertyTag` | `PR_MESSAGE_LOCALE_ID`
    `static PropertyTag` | `PR_MESSAGE_PROCESSED`
    `static PropertyTag` | `PR_MESSAGE_RECIP_ME`
    `static PropertyTag` | `PR_MESSAGE_RECIPIENTS`
    `static PropertyTag` | `PR_MESSAGE_SECURITY_LABEL`
    `static PropertyTag` | `PR_MESSAGE_SITE_NAME`
    `static PropertyTag` | `PR_MESSAGE_SIZE`
    `static PropertyTag` | `PR_MESSAGE_SIZE_EXTENDED`
    `static PropertyTag` | `PR_MESSAGE_SUBMISSION_ID`
    `static PropertyTag` | `PR_MESSAGE_SUBMISSION_ID_FROM_CLIENT`
    `static PropertyTag` | `PR_MESSAGE_TO_ME`
    `static PropertyTag` | `PR_MESSAGE_TOKEN`
    `static PropertyTag` | `PR_MHS_COMMON_NAME`
    `static PropertyTag` | `PR_MID`
    `static PropertyTag` | `PR_MIDDLE_NAME`
    `static PropertyTag` | `PR_MIME_HANDLER_CLASSIDS`
    `static PropertyTag` | `PR_MIME_SIZE`
    `static PropertyTag` | `PR_MINI_ICON`
    `static PropertyTag` | `PR_MOBILE_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_MODIFIER_FLAGS`
    `static PropertyTag` | `PR_MODIFY_VERSION`
    `static PropertyTag` | `PR_MOVE_TO_FOLDER_ENTRYID`
    `static PropertyTag` | `PR_MOVE_TO_STORE_ENTRYID`
    `static PropertyTag` | `PR_MSG_BODY_ID`
    `static PropertyTag` | `PR_MSG_EDITOR_FORMAT`
    `static PropertyTag` | `PR_MSG_FOLD_TIME`
    `static PropertyTag` | `PR_MSG_FOLDER_TEMPLATE_RES_10`
    `static PropertyTag` | `PR_MSG_FOLDER_TEMPLATE_RES_11`
    `static PropertyTag` | `PR_MSG_FOLDER_TEMPLATE_RES_12`
    `static PropertyTag` | `PR_MSG_FOLDER_TEMPLATE_RES_2`
    `static PropertyTag` | `PR_MSG_FOLDER_TEMPLATE_RES_4`
    `static PropertyTag` | `PR_MSG_FOLDER_TEMPLATE_RES_5`
    `static PropertyTag` | `PR_MSG_FOLDER_TEMPLATE_RES_6`
    `static PropertyTag` | `PR_MSG_FOLDER_TEMPLATE_RES_7`
    `static PropertyTag` | `PR_MSG_FOLDER_TEMPLATE_RES_8`
    `static PropertyTag` | `PR_MSG_FOLDER_TEMPLATE_RES_9`
    `static PropertyTag` | `PR_MSG_STATUS`
    `static PropertyTag` | `PR_MTS_ID`
    `static PropertyTag` | `PR_MTS_REPORT_ID`
    `static PropertyTag` | `PR_MTS_SUBJECT_ID`
    `static PropertyTag` | `PR_MV_PKM_OPERATION_REQ`
    `static PropertyTag` | `PR_MV_PKM_VERSION_LABELS`
    `static PropertyTag` | `PR_MV_PKM_VERSION_STATUS`
    `static PropertyTag` | `PR_NDR_DIAG_CODE`
    `static PropertyTag` | `PR_NDR_REASON_CODE`
    `static PropertyTag` | `PR_NEW_ATTACH`
    `static PropertyTag` | `PR_NEW_FX_FOLDER`
    `static PropertyTag` | `PR_NEW_SUBS_GET_AUTO_ADD`
    `static PropertyTag` | `PR_NEWSFEED_INFO`
    `static PropertyTag` | `PR_NEWSGROUP_COMPONENT`
    `static PropertyTag` | `PR_NEWSGROUP_NAME`
    `static PropertyTag` | `PR_NEWSGROUP_ROOT_FOLDER_ENTRYID`
    `static PropertyTag` | `PR_NICKNAME`
    `static PropertyTag` | `PR_NNTP_ARTICLE_FOLDER_ENTRYID`
    `static PropertyTag` | `PR_NNTP_CONTROL_FOLDER_ENTRYID`
    `static PropertyTag` | `PR_NNTP_XREF`
    `static PropertyTag` | `PR_NON_IPM_SUBTREE_ENTRYID`
    `static PropertyTag` | `PR_NON_RECEIPT_NOTIFICATION_REQUESTED`
    `static PropertyTag` | `PR_NON_RECEIPT_REASON`
    `static PropertyTag` | `PR_NORMAL_MESSAGE_SIZE`
    `static PropertyTag` | `PR_NORMAL_MESSAGE_SIZE_EXTENDED`
    `static PropertyTag` | `PR_NORMAL_MSG_W_ATTACH_COUNT`
    `static PropertyTag` | `PR_NORMALIZED_SUBJECT`
    `static PropertyTag` | `PR_NOT_822_RENDERABLE`
    `static PropertyTag` | `PR_NT_SECURITY_DESCRIPTOR`
    `static PropertyTag` | `PR_NT_USER_NAME`
    `static PropertyTag` | `PR_NTSD_MODIFICATION_TIME`
    `static PropertyTag` | `PR_OBJECT_TYPE`
    `static PropertyTag` | `PR_OBSOLETED_IPMS`
    `static PropertyTag` | `PR_OFFICE_LOCATION`
    `static PropertyTag` | `PR_OFFICE_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_OFFICE2_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_OFFLINE_ADDRBOOK_ENTRYID`
    `static PropertyTag` | `PR_OFFLINE_FLAGS`
    `static PropertyTag` | `PR_OFFLINE_MESSAGE_ENTRYID`
    `static PropertyTag` | `PR_OLDEST_DELETED_ON`
    `static PropertyTag` | `PR_OOF_STATE`
    `static PropertyTag` | `PR_ORG_ADDR_TYPE`
    `static PropertyTag` | `PR_ORG_EMAIL_ADDR`
    `static PropertyTag` | `PR_ORGANIZATIONAL_ID_NUMBER`
    `static PropertyTag` | `PR_ORIG_MESSAGE_CLASS`
    `static PropertyTag` | `PR_ORIGIN_CHECK`
    `static PropertyTag` | `PR_ORIGINAL_AUTHOR_ADDRTYPE`
    `static PropertyTag` | `PR_ORIGINAL_AUTHOR_EMAIL_ADDRESS`
    `static PropertyTag` | `PR_ORIGINAL_AUTHOR_ENTRYID`
    `static PropertyTag` | `PR_ORIGINAL_AUTHOR_FLAGS`
    `static PropertyTag` | `PR_ORIGINAL_AUTHOR_NAME`
    `static PropertyTag` | `PR_ORIGINAL_AUTHOR_SEARCH_KEY`
    `static PropertyTag` | `PR_ORIGINAL_DELIVERY_TIME`
    `static PropertyTag` | `PR_ORIGINAL_DISPLAY_BCC`
    `static PropertyTag` | `PR_ORIGINAL_DISPLAY_CC`
    `static PropertyTag` | `PR_ORIGINAL_DISPLAY_NAME`
    `static PropertyTag` | `PR_ORIGINAL_DISPLAY_TO`
    `static PropertyTag` | `PR_ORIGINAL_EITS`
    `static PropertyTag` | `PR_ORIGINAL_ENTRYID`
    `static PropertyTag` | `PR_ORIGINAL_SEARCH_KEY`
    `static PropertyTag` | `PR_ORIGINAL_SENDER_ADDRTYPE`
    `static PropertyTag` | `PR_ORIGINAL_SENDER_EMAIL_ADDRESS`
    `static PropertyTag` | `PR_ORIGINAL_SENDER_ENTRYID`
    `static PropertyTag` | `PR_ORIGINAL_SENDER_FLAGS`
    `static PropertyTag` | `PR_ORIGINAL_SENDER_NAME`
    `static PropertyTag` | `PR_ORIGINAL_SENDER_SEARCH_KEY`
    `static PropertyTag` | `PR_ORIGINAL_SENSITIVITY`
    `static PropertyTag` | `PR_ORIGINAL_SENT_REPRESENTING_ADDRTYPE`
    `static PropertyTag` | `PR_ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS`
    `static PropertyTag` | `PR_ORIGINAL_SENT_REPRESENTING_ENTRYID`
    `static PropertyTag` | `PR_ORIGINAL_SENT_REPRESENTING_FLAGS`
    `static PropertyTag` | `PR_ORIGINAL_SENT_REPRESENTING_NAME`
    `static PropertyTag` | `PR_ORIGINAL_SENT_REPRESENTING_SEARCH_KEY`
    `static PropertyTag` | `PR_ORIGINAL_SUBJECT`
    `static PropertyTag` | `PR_ORIGINAL_SUBMIT_TIME`
    `static PropertyTag` | `PR_ORIGINALLY_INTENDED_RECIP_ADDRTYPE`
    `static PropertyTag` | `PR_ORIGINALLY_INTENDED_RECIP_EMAIL_ADDRESS`
    `static PropertyTag` | `PR_ORIGINALLY_INTENDED_RECIP_ENTRYID`
    `static PropertyTag` | `PR_ORIGINALLY_INTENDED_RECIPIENT_NAME`
    `static PropertyTag` | `PR_ORIGINATING_MTA_CERTIFICATE`
    `static PropertyTag` | `PR_ORIGINATOR_ADDR`
    `static PropertyTag` | `PR_ORIGINATOR_ADDRTYPE`
    `static PropertyTag` | `PR_ORIGINATOR_AND_DL_EXPANSION_HISTORY`
    `static PropertyTag` | `PR_ORIGINATOR_CERTIFICATE`
    `static PropertyTag` | `PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED`
    `static PropertyTag` | `PR_ORIGINATOR_ENTRYID`
    `static PropertyTag` | `PR_ORIGINATOR_FLAGS`
    `static PropertyTag` | `PR_ORIGINATOR_NAME`
    `static PropertyTag` | `PR_ORIGINATOR_NON_DELIVERY_REPORT_REQUESTED`
    `static PropertyTag` | `PR_ORIGINATOR_REQUESTED_ALTERNATE_RECIPIENT`
    `static PropertyTag` | `PR_ORIGINATOR_RETURN_ADDRESS`
    `static PropertyTag` | `PR_ORIGINATOR_SEARCH_KEY`
    `static PropertyTag` | `PR_OST_ENCRYPTION`
    `static PropertyTag` | `PR_OST_OSTID`
    `static PropertyTag` | `PR_OTHER_ADDRESS_CITY`
    `static PropertyTag` | `PR_OTHER_ADDRESS_COUNTRY`
    `static PropertyTag` | `PR_OTHER_ADDRESS_POST_OFFICE_BOX`
    `static PropertyTag` | `PR_OTHER_ADDRESS_POSTAL_CODE`
    `static PropertyTag` | `PR_OTHER_ADDRESS_STATE_OR_PROVINCE`
    `static PropertyTag` | `PR_OTHER_ADDRESS_STREET`
    `static PropertyTag` | `PR_OTHER_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_OUTBOUND_NEWSFEED_DN`
    `static PropertyTag` | `PR_OUTLOOK_2003_ENTRYIDS`
    `static PropertyTag` | `PR_OVERALL_AGE_LIMIT`
    `static PropertyTag` | `PR_OVERALL_MSG_AGE_LIMIT`
    `static PropertyTag` | `PR_OWA_URL`
    `static PropertyTag` | `PR_OWN_STORE_ENTRYID`
    `static PropertyTag` | `PR_OWNER_APPT_ID`
    `static PropertyTag` | `PR_OWNER_COUNT`
    `static PropertyTag` | `PR_P1_CONTENT`
    `static PropertyTag` | `PR_P1_CONTENT_TYPE`
    `static PropertyTag` | `PR_PACKED_NAME_PROPS`
    `static PropertyTag` | `PR_PAGER_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_PARENT_CATEG_ID`
    `static PropertyTag` | `PR_PARENT_DISPLAY`
    `static PropertyTag` | `PR_PARENT_ENTRYID`
    `static PropertyTag` | `PR_PARENT_FID`
    `static PropertyTag` | `PR_PARENT_KEY`
    `static PropertyTag` | `PR_PARENT_SOURCE_KEY`
    `static PropertyTag` | `PR_PCL_EXPORT`
    `static PropertyTag` | `PR_PERSONAL_FREEBUSY`
    `static PropertyTag` | `PR_PERSONAL_HOME_PAGE`
    `static PropertyTag` | `PR_PF_MSG_SIZE_LIMIT`
    `static PropertyTag` | `PR_PF_OVER_HARD_QUOTA_LIMIT`
    `static PropertyTag` | `PR_PF_PLATINUM_HOME_MDB`
    `static PropertyTag` | `PR_PF_PROXY_REQUIRED`
    `static PropertyTag` | `PR_PF_QUOTA_STYLE`
    `static PropertyTag` | `PR_PF_STORAGE_QUOTA`
    `static PropertyTag` | `PR_PHYSICAL_DELIVERY_BUREAU_FAX_DELIVERY`
    `static PropertyTag` | `PR_PHYSICAL_DELIVERY_MODE`
    `static PropertyTag` | `PR_PHYSICAL_DELIVERY_REPORT_REQUEST`
    `static PropertyTag` | `PR_PHYSICAL_FORWARDING_ADDRESS`
    `static PropertyTag` | `PR_PHYSICAL_FORWARDING_ADDRESS_REQUESTED`
    `static PropertyTag` | `PR_PHYSICAL_FORWARDING_PROHIBITED`
    `static PropertyTag` | `PR_PHYSICAL_RENDITION_ATTRIBUTES`
    `static PropertyTag` | `PR_PKM_DOC_INTERNAL_STATE`
    `static PropertyTag` | `PR_PKM_DOC_STATUS`
    `static PropertyTag` | `PR_PKM_INTERNAL_DATA`
    `static PropertyTag` | `PR_PKM_LAST_UNAPPROVED_VID`
    `static PropertyTag` | `PR_POST_FOLDER_ENTRIES`
    `static PropertyTag` | `PR_POST_FOLDER_NAMES`
    `static PropertyTag` | `PR_POST_OFFICE_BOX`
    `static PropertyTag` | `PR_POST_REPLY_DENIED`
    `static PropertyTag` | `PR_POST_REPLY_FOLDER_ENTRIES`
    `static PropertyTag` | `PR_POST_REPLY_FOLDER_NAMES`
    `static PropertyTag` | `PR_POSTAL_ADDRESS`
    `static PropertyTag` | `PR_POSTAL_CODE`
    `static PropertyTag` | `PR_PREDECESSOR_CHANGE_LIST`
    `static PropertyTag` | `PR_PREFERRED_BY_NAME`
    `static PropertyTag` | `PR_PREPROCESS`
    `static PropertyTag` | `PR_PREVENT_MSG_CREATE`
    `static PropertyTag` | `PR_PREVIEW`
    `static PropertyTag` | `PR_PREVIEW_UNREAD`
    `static PropertyTag` | `PR_PRIMARY_CAPABILITY`
    `static PropertyTag` | `PR_PRIMARY_FAX_NUMBER`
    `static PropertyTag` | `PR_PRIMARY_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_PRIORITY`
    `static PropertyTag` | `PR_PROCESS_MEETING_REQUESTS`
    `static PropertyTag` | `PR_PROFESSION`
    `static PropertyTag` | `PR_PROFILE_AB_FILES_PATH`
    `static PropertyTag` | `PR_PROFILE_ADDR_INFO`
    `static PropertyTag` | `PR_PROFILE_ALLPUB_COMMENT`
    `static PropertyTag` | `PR_PROFILE_ALLPUB_DISPLAY_NAME`
    `static PropertyTag` | `PR_PROFILE_AUTH_PACKAGE`
    `static PropertyTag` | `PR_PROFILE_BINDING_ORDER`
    `static PropertyTag` | `PR_PROFILE_CONFIG_FLAGS`
    `static PropertyTag` | `PR_PROFILE_CONNECT_FLAGS`
    `static PropertyTag` | `PR_PROFILE_FAVFLD_COMMENT`
    `static PropertyTag` | `PR_PROFILE_FAVFLD_DISPLAY_NAME`
    `static PropertyTag` | `PR_PROFILE_HOME_SERVER`
    `static PropertyTag` | `PR_PROFILE_HOME_SERVER_ADDRS`
    `static PropertyTag` | `PR_PROFILE_HOME_SERVER_DN`
    `static PropertyTag` | `PR_PROFILE_MAILBOX`
    `static PropertyTag` | `PR_PROFILE_MAX_RESTRICT`
    `static PropertyTag` | `PR_PROFILE_MOAB`
    `static PropertyTag` | `PR_PROFILE_MOAB_GUID`
    `static PropertyTag` | `PR_PROFILE_MOAB_SEQ`
    `static PropertyTag` | `PR_PROFILE_NAME`
    `static PropertyTag` | `PR_PROFILE_OFFLINE_INFO`
    `static PropertyTag` | `PR_PROFILE_OFFLINE_STORE_PATH`
    `static PropertyTag` | `PR_PROFILE_OPEN_FLAGS`
    `static PropertyTag` | `PR_PROFILE_OPTIONS_DATA`
    `static PropertyTag` | `PR_PROFILE_SECURE_MAILBOX`
    `static PropertyTag` | `PR_PROFILE_SERVER`
    `static PropertyTag` | `PR_PROFILE_SERVER_DN`
    `static PropertyTag` | `PR_PROFILE_TRANSPORT_FLAGS`
    `static PropertyTag` | `PR_PROFILE_TYPE`
    `static PropertyTag` | `PR_PROFILE_UI_STATE`
    `static PropertyTag` | `PR_PROFILE_UNRESOLVED_NAME`
    `static PropertyTag` | `PR_PROFILE_UNRESOLVED_SERVER`
    `static PropertyTag` | `PR_PROFILE_USER`
    `static PropertyTag` | `PR_PROFILE_VERSION`
    `static PropertyTag` | `PR_PROMOTE_PROP_ID_LIST`
    `static PropertyTag` | `PR_PROOF_OF_DELIVERY`
    `static PropertyTag` | `PR_PROOF_OF_DELIVERY_REQUESTED`
    `static PropertyTag` | `PR_PROOF_OF_SUBMISSION`
    `static PropertyTag` | `PR_PROOF_OF_SUBMISSION_REQUESTED`
    `static PropertyTag` | `PR_PROVIDER_DISPLAY`
    `static PropertyTag` | `PR_PROVIDER_DLL_NAME`
    `static PropertyTag` | `PR_PROVIDER_ORDINAL`
    `static PropertyTag` | `PR_PROVIDER_SUBMIT_TIME`
    `static PropertyTag` | `PR_PROVIDER_UID`
    `static PropertyTag` | `PR_PST_ENCRYPTION`
    `static PropertyTag` | `PR_PST_PATH`
    `static PropertyTag` | `PR_PST_PW_SZ_NEW`
    `static PropertyTag` | `PR_PST_PW_SZ_OLD`
    `static PropertyTag` | `PR_PST_REMEMBER_PW`
    `static PropertyTag` | `PR_PUBLIC_FOLDER_ENTRYID`
    `static PropertyTag` | `PR_PUBLISH_IN_ADDRESS_BOOK`
    `static PropertyTag` | `PR_RADIO_TELEPHONE_NUMBER`
    `static PropertyTag` | `PR_RANK`
    `static PropertyTag` | `PR_RCVD_BY_FLAGS`
    `static PropertyTag` | `PR_RCVD_REPRESENTING_ADDRTYPE`
    `static PropertyTag` | `PR_RCVD_REPRESENTING_EMAIL_ADDRESS`
    `static PropertyTag` | `PR_RCVD_REPRESENTING_ENTRYID`
    `static PropertyTag` | `PR_RCVD_REPRESENTING_FLAGS`
    `static PropertyTag` | `PR_RCVD_REPRESENTING_NAME`
    `static PropertyTag` | `PR_RCVD_REPRESENTING_SEARCH_KEY`
    `static PropertyTag` | `PR_READ_RECEIPT_ENTRYID`
    `static PropertyTag` | `PR_READ_RECEIPT_FLAGS`
    `static PropertyTag` | `PR_READ_RECEIPT_REQUESTED`
    `static PropertyTag` | `PR_READ_RECEIPT_SEARCH_KEY`
    `static PropertyTag` | `PR_RECEIPT_TIME`
    `static PropertyTag` | `PR_RECEIVE_FOLDER_SETTINGS`
    `static PropertyTag` | `PR_RECEIVED_BY_ADDRTYPE`
    `static PropertyTag` | `PR_RECEIVED_BY_EMAIL_ADDRESS`
    `static PropertyTag` | `PR_RECEIVED_BY_ENTRYID`
    `static PropertyTag` | `PR_RECEIVED_BY_NAME`
    `static PropertyTag` | `PR_RECEIVED_BY_SEARCH_KEY`
    `static PropertyTag` | `PR_RECIPIENT_CERTIFICATE`
    `static PropertyTag` | `PR_RECIPIENT_NUMBER`
    `static PropertyTag` | `PR_RECIPIENT_NUMBER_FOR_ADVICE`
    `static PropertyTag` | `PR_RECIPIENT_ON_ASSOC_MSG_COUNT`
    `static PropertyTag` | `PR_RECIPIENT_ON_NORMAL_MSG_COUNT`
    `static PropertyTag` | `PR_RECIPIENT_REASSIGNMENT_PROHIBITED`
    `static PropertyTag` | `PR_RECIPIENT_STATUS`
    `static PropertyTag` | `PR_RECIPIENT_TYPE`
    `static PropertyTag` | `PR_RECORD_KEY`
    `static PropertyTag` | `PR_REDIRECTION_HISTORY`
    `static PropertyTag` | `PR_REFERRED_BY_NAME`
    `static PropertyTag` | `PR_REGISTERED_MAIL_TYPE`
    `static PropertyTag` | `PR_RELATED_IPMS`
    `static PropertyTag` | `PR_REMINDERS_OFFLINE_ENTRYID`
    `static PropertyTag` | `PR_REMINDERS_ONLINE_ENTRYID`
    `static PropertyTag` | `PR_REMOTE_PROGRESS`
    `static PropertyTag` | `PR_REMOTE_PROGRESS_TEXT`
    `static PropertyTag` | `PR_REMOTE_VALIDATE_OK`
    `static PropertyTag` | `PR_RENDERING_POSITION`
    `static PropertyTag` | `PR_REPL_CHANGES`
    `static PropertyTag` | `PR_REPL_HEADER`
    `static PropertyTag` | `PR_REPL_RGM`
    `static PropertyTag` | `PR_REPL_STATUS`
    `static PropertyTag` | `PR_REPLICA_LIST`
    `static PropertyTag` | `PR_REPLICA_SERVER`
    `static PropertyTag` | `PR_REPLICA_VERSION`
    `static PropertyTag` | `PR_REPLICATION_ALWAYS_INTERVAL`
    `static PropertyTag` | `PR_REPLICATION_MESSAGE_PRIORITY`
    `static PropertyTag` | `PR_REPLICATION_MSG_SIZE`
    `static PropertyTag` | `PR_REPLICATION_SCHEDULE`
    `static PropertyTag` | `PR_REPLICATION_STYLE`
    `static PropertyTag` | `PR_REPLY_RECIPIENT_ENTRIES`
    `static PropertyTag` | `PR_REPLY_RECIPIENT_NAMES`
    `static PropertyTag` | `PR_REPLY_RECIPIENT_SMTP_PROXIES`
    `static PropertyTag` | `PR_REPLY_REQUESTED`
    `static PropertyTag` | `PR_REPLY_TEMPLATE_ID`
    `static PropertyTag` | `PR_REPLY_TIME`
    `static PropertyTag` | `PR_REPORT_DESTINATION_ENTRYID`
    `static PropertyTag` | `PR_REPORT_DESTINATION_FLAGS`
    `static PropertyTag` | `PR_REPORT_DESTINATION_NAME`
    `static PropertyTag` | `PR_REPORT_DESTINATION_SEARCH_KEY`
    `static PropertyTag` | `PR_REPORT_ENTRYID`
    `static PropertyTag` | `PR_REPORT_FLAGS`
    `static PropertyTag` | `PR_REPORT_NAME`
    `static PropertyTag` | `PR_REPORT_SEARCH_KEY`
    `static PropertyTag` | `PR_REPORT_TAG`
    `static PropertyTag` | `PR_REPORT_TEXT`
    `static PropertyTag` | `PR_REPORT_TIME`
    `static PropertyTag` | `PR_REPORTING_DL_NAME`
    `static PropertyTag` | `PR_REPORTING_MTA_CERTIFICATE`
    `static PropertyTag` | `PR_REQUESTED_DELIVERY_METHOD`
    `static PropertyTag` | `PR_RESOLVE_METHOD`
    `static PropertyTag` | `PR_RESOURCE_FLAGS`
    `static PropertyTag` | `PR_RESOURCE_METHODS`
    `static PropertyTag` | `PR_RESOURCE_PATH`
    `static PropertyTag` | `PR_RESOURCE_TYPE`
    `static PropertyTag` | `PR_RESPONSE_REQUESTED`
    `static PropertyTag` | `PR_RESPONSIBILITY`
    `static PropertyTag` | `PR_RESTRICTION_COUNT`
    `static PropertyTag` | `PR_RETENTION_AGE_LIMIT`
    `static PropertyTag` | `PR_RETURNED_IPM`
    `static PropertyTag` | `PR_RIGHTS`
    `static PropertyTag` | `PR_RMI`
    `static PropertyTag` | `PR_ROW_TYPE`
    `static PropertyTag` | `PR_ROWID`
    `static PropertyTag` | `PR_RTF_COMPRESSED`
    `static PropertyTag` | `PR_RTF_IN_SYNC`
    `static PropertyTag` | `PR_RTF_SYNC_BODY_COUNT`
    `static PropertyTag` | `PR_RTF_SYNC_BODY_CRC`
    `static PropertyTag` | `PR_RTF_SYNC_BODY_TAG`
    `static PropertyTag` | `PR_RTF_SYNC_PREFIX_COUNT`
    `static PropertyTag` | `PR_RTF_SYNC_TRAILING_COUNT`
    `static PropertyTag` | `PR_RULE_ACTION_NUMBER`
    `static PropertyTag` | `PR_RULE_ACTION_TYPE`
    `static PropertyTag` | `PR_RULE_ACTIONS`
    `static PropertyTag` | `PR_RULE_CONDITION`
    `static PropertyTag` | `PR_RULE_ERROR`
    `static PropertyTag` | `PR_RULE_FOLDER_ENTRYID`
    `static PropertyTag` | `PR_RULE_ID`
    `static PropertyTag` | `PR_RULE_IDS`
    `static PropertyTag` | `PR_RULE_LEVEL`
    `static PropertyTag` | `PR_RULE_MSG_ACTIONS`
    `static PropertyTag` | `PR_RULE_MSG_CONDITION`
    `static PropertyTag` | `PR_RULE_MSG_CONDITION_LCID`
    `static PropertyTag` | `PR_RULE_MSG_LEVEL`
    `static PropertyTag` | `PR_RULE_MSG_NAME`
    `static PropertyTag` | `PR_RULE_MSG_PROVIDER`
    `static PropertyTag` | `PR_RULE_MSG_PROVIDER_DATA`
    `static PropertyTag` | `PR_RULE_MSG_SEQUENCE`
    `static PropertyTag` | `PR_RULE_MSG_STATE`
    `static PropertyTag` | `PR_RULE_MSG_USER_FLAGS`
    `static PropertyTag` | `PR_RULE_MSG_VERSION`
    `static PropertyTag` | `PR_RULE_NAME`
    `static PropertyTag` | `PR_RULE_PROVIDER`
    `static PropertyTag` | `PR_RULE_PROVIDER_DATA`
    `static PropertyTag` | `PR_RULE_SEQUENCE`
    `static PropertyTag` | `PR_RULE_SERVER_RULE_ID`
    `static PropertyTag` | `PR_RULE_STATE`
    `static PropertyTag` | `PR_RULE_TRIGGER_HISTORY`
    `static PropertyTag` | `PR_RULE_USER_FLAGS`
    `static PropertyTag` | `PR_RULES_DATA`
    `static PropertyTag` | `PR_RULES_TABLE`
    `static PropertyTag` | `PR_SCHEDULE_FOLDER_ENTRYID`
    `static PropertyTag` | `PR_SEARCH`
    `static PropertyTag` | `PR_SEARCH_FLAGS`
    `static PropertyTag` | `PR_SEARCH_KEY`
    `static PropertyTag` | `PR_SECURE_IN_SITE`
    `static PropertyTag` | `PR_SECURE_ORIGINATION`
    `static PropertyTag` | `PR_SECURITY`
    `static PropertyTag` | `PR_SELECTABLE`
    `static PropertyTag` | `PR_SEND_INTERNET_ENCODING`
    `static PropertyTag` | `PR_SEND_RICH_INFO`
    `static PropertyTag` | `PR_SENDER_ADDRTYPE`
    `static PropertyTag` | `PR_SENDER_EMAIL_ADDRESS`
    `static PropertyTag` | `PR_SENDER_ENTRYID`
    `static PropertyTag` | `PR_SENDER_FLAGS`
    `static PropertyTag` | `PR_SENDER_NAME`
    `static PropertyTag` | `PR_SENDER_SEARCH_KEY`
    `static PropertyTag` | `PR_SENDER_SIMPLE_DISP_NAME`
    `static PropertyTag` | `PR_SENSITIVITY`
    `static PropertyTag` | `PR_SENT_REPRESENTING_ADDRTYPE`
    `static PropertyTag` | `PR_SENT_REPRESENTING_EMAIL_ADDRESS`
    `static PropertyTag` | `PR_SENT_REPRESENTING_ENTRYID`
    `static PropertyTag` | `PR_SENT_REPRESENTING_FLAGS`
    `static PropertyTag` | `PR_SENT_REPRESENTING_NAME`
    `static PropertyTag` | `PR_SENT_REPRESENTING_SEARCH_KEY`
    `static PropertyTag` | `PR_SENT_REPRESENTING_SIMPLE_DISP_NAME`
    `static PropertyTag` | `PR_SENTMAIL_ENTRYID`
    `static PropertyTag` | `PR_SEQID`
    `static PropertyTag` | `PR_SERVICE_DELETE_FILES`
    `static PropertyTag` | `PR_SERVICE_DLL_NAME`
    `static PropertyTag` | `PR_SERVICE_ENTRY_NAME`
    `static PropertyTag` | `PR_SERVICE_EXTRA_UIDS`
    `static PropertyTag` | `PR_SERVICE_NAME`
    `static PropertyTag` | `PR_SERVICE_SUPPORT_FILES`
    `static PropertyTag` | `PR_SERVICE_UID`
    `static PropertyTag` | `PR_SERVICES`
    `static PropertyTag` | `PR_SMTP_ADDRESS`
    `static PropertyTag` | `PR_SMTP_TEMP_TBL_DATA`
    `static PropertyTag` | `PR_SMTP_TEMP_TBL_DATA_2`
    `static PropertyTag` | `PR_SMTP_TEMP_TBL_DATA_3`
    `static PropertyTag` | `PR_SOFT_DELETES`
    `static PropertyTag` | `PR_SORT_LOCALE_ID`
    `static PropertyTag` | `PR_SOURCE_KEY`
    `static PropertyTag` | `PR_SPLUS_FREE_BUSY_ENTRYID`
    `static PropertyTag` | `PR_SPOOLER_STATUS`
    `static PropertyTag` | `PR_SPOUSE_NAME`
    `static PropertyTag` | `PR_START_DATE`
    `static PropertyTag` | `PR_START_EMBED`
    `static PropertyTag` | `PR_START_FAI_MSG`
    `static PropertyTag` | `PR_START_MESSAGE`
    `static PropertyTag` | `PR_START_RECIP`
    `static PropertyTag` | `PR_START_SUB_FLD`
    `static PropertyTag` | `PR_START_TOP_FLD`
    `static PropertyTag` | `PR_STATE_OR_PROVINCE`
    `static PropertyTag` | `PR_STATUS`
    `static PropertyTag` | `PR_STATUS_CODE`
    `static PropertyTag` | `PR_STATUS_STRING`
    `static PropertyTag` | `PR_STORAGE_LIMIT_INFORMATION`
    `static PropertyTag` | `PR_STORAGE_QUOTA_LIMIT`
    `static PropertyTag` | `PR_STORE_ENTRYID`
    `static PropertyTag` | `PR_STORE_OFFLINE`
    `static PropertyTag` | `PR_STORE_PROVIDERS`
    `static PropertyTag` | `PR_STORE_RECORD_KEY`
    `static PropertyTag` | `PR_STORE_SLOWLINK`
    `static PropertyTag` | `PR_STORE_STATE`
    `static PropertyTag` | `PR_STORE_SUPPORT_MASK`
    `static PropertyTag` | `PR_STREET_ADDRESS`
    `static PropertyTag` | `PR_SUBFOLDER_CT`
    `static PropertyTag` | `PR_SUBFOLDERS`
    `static PropertyTag` | `PR_SUBJECT`
    `static PropertyTag` | `PR_SUBJECT_IPM`
    `static PropertyTag` | `PR_SUBJECT_PREFIX`
    `static PropertyTag` | `PR_SUBJECT_TRACE_INFO`
    `static PropertyTag` | `PR_SUBMIT_FLAGS`
    `static PropertyTag` | `PR_SUPERSEDES`
    `static PropertyTag` | `PR_SUPPLEMENTARY_INFO`
    `static PropertyTag` | `PR_SURNAME`
    `static PropertyTag` | `PR_SVR_GENERATING_QUOTA_MSG`
    `static PropertyTag` | `PR_SYNCEVENT_SUPPRESS_GUID`
    `static PropertyTag` | `PR_SYNCHRONIZE_FLAGS`
    `static PropertyTag` | `PR_SYS_CONFIG_FOLDER_ENTRYID`
    `static PropertyTag` | `PR_TELEX_NUMBER`
    `static PropertyTag` | `PR_TEMPLATEID`
    `static PropertyTag` | `PR_TEST_LINE_SPEED`
    `static PropertyTag` | `PR_TITLE`
    `static PropertyTag` | `PR_TNEF_CORRELATION_KEY`
    `static PropertyTag` | `PR_TRACE_INFO`
    `static PropertyTag` | `PR_TRANSFER_ENABLED`
    `static PropertyTag` | `PR_TRANSMITABLE_DISPLAY_NAME`
    `static PropertyTag` | `PR_TRANSPORT_KEY`
    `static PropertyTag` | `PR_TRANSPORT_MESSAGE_HEADERS`
    `static PropertyTag` | `PR_TRANSPORT_PROVIDERS`
    `static PropertyTag` | `PR_TRANSPORT_STATUS`
    `static PropertyTag` | `PR_TRUST_SENDER`
    `static PropertyTag` | `PR_TTYTDD_PHONE_NUMBER`
    `static PropertyTag` | `PR_TYPE_OF_MTS_USER`
    `static PropertyTag` | `PR_URL_COMP_NAME`
    `static PropertyTag` | `PR_URL_COMP_NAME_HASH`
    `static PropertyTag` | `PR_URL_COMP_NAME_POSTFIX`
    `static PropertyTag` | `PR_URL_COMP_NAME_SET`
    `static PropertyTag` | `PR_URL_NAME`
    `static PropertyTag` | `PR_USENET_SITE_NAME`
    `static PropertyTag` | `PR_USER_CERTIFICATE`
    `static PropertyTag` | `PR_USER_ENTRYID`
    `static PropertyTag` | `PR_USER_NAME`
    `static PropertyTag` | `PR_USER_X509_CERTIFICATE`
    `static PropertyTag` | `PR_VALID_FOLDER_MASK`
    `static PropertyTag` | `PR_VD_BINARY`
    `static PropertyTag` | `PR_VD_FLAGS`
    `static PropertyTag` | `PR_VD_LINK_TO`
    `static PropertyTag` | `PR_VD_NAME`
    `static PropertyTag` | `PR_VD_STRINGS`
    `static PropertyTag` | `PR_VD_VERSION`
    `static PropertyTag` | `PR_VD_VIEW_FOLDER`
    `static PropertyTag` | `PR_VERSION_OP_CODE`
    `static PropertyTag` | `PR_VERSION_OP_DATA`
    `static PropertyTag` | `PR_VERSION_SEQUENCE_NUMBER`
    `static PropertyTag` | `PR_VERSIONING_FLAGS`
    `static PropertyTag` | `PR_VIEWS_ENTRYID`
    `static PropertyTag` | `PR_WEDDING_ANNIVERSARY`
    `static PropertyTag` | `PR_X400_CONTENT_TYPE`
    `static PropertyTag` | `PR_X400_DEFERRED_DELIVERY_CANCEL`
    `static PropertyTag` | `PR_X400_ENVELOPE_TYPE`
    `static PropertyTag` | `PR_XPOS`
    `static PropertyTag` | `PR_YPOS`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PR_ACKNOWLEDGEMENT_MODE

          public static final PropertyTag PR_ACKNOWLEDGEMENT_MODE

    - #### PR_ALTERNATE_RECIPIENT_ALLOWED

          public static final PropertyTag PR_ALTERNATE_RECIPIENT_ALLOWED

    - #### PR_AUTHORIZING_USERS

          public static final PropertyTag PR_AUTHORIZING_USERS

    - #### PR_AUTO_FORWARD_COMMENT

          public static final PropertyTag PR_AUTO_FORWARD_COMMENT

    - #### PR_AUTO_FORWARDED

          public static final PropertyTag PR_AUTO_FORWARDED

    - #### PR_CONTENT_CONFIDENTIALITY_ALGORITHM_ID

          public static final PropertyTag PR_CONTENT_CONFIDENTIALITY_ALGORITHM_ID

    - #### PR_CONTENT_CORRELATOR

          public static final PropertyTag PR_CONTENT_CORRELATOR

    - #### PR_CONTENT_IDENTIFIER

          public static final PropertyTag PR_CONTENT_IDENTIFIER

    - #### PR_CONTENT_LENGTH

          public static final PropertyTag PR_CONTENT_LENGTH

    - #### PR_CONTENT_RETURN_REQUESTED

          public static final PropertyTag PR_CONTENT_RETURN_REQUESTED

    - #### PR_CONVERSATION_KEY

          public static final PropertyTag PR_CONVERSATION_KEY

    - #### PR_CONVERSION_EITS

          public static final PropertyTag PR_CONVERSION_EITS

    - #### PR_CONVERSION_WITH_LOSS_PROHIBITED

          public static final PropertyTag PR_CONVERSION_WITH_LOSS_PROHIBITED

    - #### PR_CONVERTED_EITS

          public static final PropertyTag PR_CONVERTED_EITS

    - #### PR_DEFERRED_DELIVERY_TIME

          public static final PropertyTag PR_DEFERRED_DELIVERY_TIME

    - #### PR_DELIVER_TIME

          public static final PropertyTag PR_DELIVER_TIME

    - #### PR_DISCARD_REASON

          public static final PropertyTag PR_DISCARD_REASON

    - #### PR_DISCLOSURE_OF_RECIPIENTS

          public static final PropertyTag PR_DISCLOSURE_OF_RECIPIENTS

    - #### PR_DL_EXPANSION_HISTORY

          public static final PropertyTag PR_DL_EXPANSION_HISTORY

    - #### PR_DL_EXPANSION_PROHIBITED

          public static final PropertyTag PR_DL_EXPANSION_PROHIBITED

    - #### PR_EXPIRY_TIME

          public static final PropertyTag PR_EXPIRY_TIME

    - #### PR_IMPLICIT_CONVERSION_PROHIBITED

          public static final PropertyTag PR_IMPLICIT_CONVERSION_PROHIBITED

    - #### PR_IMPORTANCE

          public static final PropertyTag PR_IMPORTANCE

    - #### PR_IPM_ID

          public static final PropertyTag PR_IPM_ID

    - #### PR_LATEST_DELIVERY_TIME

          public static final PropertyTag PR_LATEST_DELIVERY_TIME

    - #### PR_MESSAGE_CLASS

          public static final PropertyTag PR_MESSAGE_CLASS

    - #### PR_MESSAGE_DELIVERY_ID

          public static final PropertyTag PR_MESSAGE_DELIVERY_ID

    - #### PR_MESSAGE_SECURITY_LABEL

          public static final PropertyTag PR_MESSAGE_SECURITY_LABEL

    - #### PR_OBSOLETED_IPMS

          public static final PropertyTag PR_OBSOLETED_IPMS

    - #### PR_ORIGINALLY_INTENDED_RECIPIENT_NAME

          public static final PropertyTag PR_ORIGINALLY_INTENDED_RECIPIENT_NAME

    - #### PR_ORIGINAL_EITS

          public static final PropertyTag PR_ORIGINAL_EITS

    - #### PR_ORIGINATOR_CERTIFICATE

          public static final PropertyTag PR_ORIGINATOR_CERTIFICATE

    - #### PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED

          public static final PropertyTag PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED

    - #### PR_ORIGINATOR_RETURN_ADDRESS

          public static final PropertyTag PR_ORIGINATOR_RETURN_ADDRESS

    - #### PR_PARENT_KEY

          public static final PropertyTag PR_PARENT_KEY

    - #### PR_PRIORITY

          public static final PropertyTag PR_PRIORITY

    - #### PR_ORIGIN_CHECK

          public static final PropertyTag PR_ORIGIN_CHECK

    - #### PR_PROOF_OF_SUBMISSION_REQUESTED

          public static final PropertyTag PR_PROOF_OF_SUBMISSION_REQUESTED

    - #### PR_READ_RECEIPT_REQUESTED

          public static final PropertyTag PR_READ_RECEIPT_REQUESTED

    - #### PR_RECEIPT_TIME

          public static final PropertyTag PR_RECEIPT_TIME

    - #### PR_RECIPIENT_REASSIGNMENT_PROHIBITED

          public static final PropertyTag PR_RECIPIENT_REASSIGNMENT_PROHIBITED

    - #### PR_REDIRECTION_HISTORY

          public static final PropertyTag PR_REDIRECTION_HISTORY

    - #### PR_RELATED_IPMS

          public static final PropertyTag PR_RELATED_IPMS

    - #### PR_ORIGINAL_SENSITIVITY

          public static final PropertyTag PR_ORIGINAL_SENSITIVITY

    - #### PR_LANGUAGES

          public static final PropertyTag PR_LANGUAGES

    - #### PR_REPLY_TIME

          public static final PropertyTag PR_REPLY_TIME

    - #### PR_REPORT_TAG

          public static final PropertyTag PR_REPORT_TAG

    - #### PR_REPORT_TIME

          public static final PropertyTag PR_REPORT_TIME

    - #### PR_RETURNED_IPM

          public static final PropertyTag PR_RETURNED_IPM

    - #### PR_SECURITY

          public static final PropertyTag PR_SECURITY

    - #### PR_INCOMPLETE_COPY

          public static final PropertyTag PR_INCOMPLETE_COPY

    - #### PR_SENSITIVITY

          public static final PropertyTag PR_SENSITIVITY

    - #### PR_SUBJECT

          public static final PropertyTag PR_SUBJECT

    - #### PR_SUBJECT_IPM

          public static final PropertyTag PR_SUBJECT_IPM

    - #### PR_CLIENT_SUBMIT_TIME

          public static final PropertyTag PR_CLIENT_SUBMIT_TIME

    - #### PR_REPORT_NAME

          public static final PropertyTag PR_REPORT_NAME

    - #### PR_SENT_REPRESENTING_SEARCH_KEY

          public static final PropertyTag PR_SENT_REPRESENTING_SEARCH_KEY

    - #### PR_X400_CONTENT_TYPE

          public static final PropertyTag PR_X400_CONTENT_TYPE

    - #### PR_SUBJECT_PREFIX

          public static final PropertyTag PR_SUBJECT_PREFIX

    - #### PR_NON_RECEIPT_REASON

          public static final PropertyTag PR_NON_RECEIPT_REASON

    - #### PR_RECEIVED_BY_ENTRYID

          public static final PropertyTag PR_RECEIVED_BY_ENTRYID

    - #### PR_RECEIVED_BY_NAME

          public static final PropertyTag PR_RECEIVED_BY_NAME

    - #### PR_SENT_REPRESENTING_ENTRYID

          public static final PropertyTag PR_SENT_REPRESENTING_ENTRYID

    - #### PR_SENT_REPRESENTING_NAME

          public static final PropertyTag PR_SENT_REPRESENTING_NAME

    - #### PR_RCVD_REPRESENTING_ENTRYID

          public static final PropertyTag PR_RCVD_REPRESENTING_ENTRYID

    - #### PR_RCVD_REPRESENTING_NAME

          public static final PropertyTag PR_RCVD_REPRESENTING_NAME

    - #### PR_REPORT_ENTRYID

          public static final PropertyTag PR_REPORT_ENTRYID

    - #### PR_READ_RECEIPT_ENTRYID

          public static final PropertyTag PR_READ_RECEIPT_ENTRYID

    - #### PR_MESSAGE_SUBMISSION_ID

          public static final PropertyTag PR_MESSAGE_SUBMISSION_ID

    - #### PR_MTS_ID

          public static final PropertyTag PR_MTS_ID

    - #### PR_MTS_REPORT_ID

          public static final PropertyTag PR_MTS_REPORT_ID

    - #### PR_PROVIDER_SUBMIT_TIME

          public static final PropertyTag PR_PROVIDER_SUBMIT_TIME

    - #### PR_ORIGINAL_SUBJECT

          public static final PropertyTag PR_ORIGINAL_SUBJECT

    - #### PR_DISC_VAL

          public static final PropertyTag PR_DISC_VAL

    - #### PR_ORIG_MESSAGE_CLASS

          public static final PropertyTag PR_ORIG_MESSAGE_CLASS

    - #### PR_ORIGINAL_AUTHOR_ENTRYID

          public static final PropertyTag PR_ORIGINAL_AUTHOR_ENTRYID

    - #### PR_ORIGINAL_AUTHOR_NAME

          public static final PropertyTag PR_ORIGINAL_AUTHOR_NAME

    - #### PR_ORIGINAL_SUBMIT_TIME

          public static final PropertyTag PR_ORIGINAL_SUBMIT_TIME

    - #### PR_REPLY_RECIPIENT_ENTRIES

          public static final PropertyTag PR_REPLY_RECIPIENT_ENTRIES

    - #### PR_REPLY_RECIPIENT_NAMES

          public static final PropertyTag PR_REPLY_RECIPIENT_NAMES

    - #### PR_RECEIVED_BY_SEARCH_KEY

          public static final PropertyTag PR_RECEIVED_BY_SEARCH_KEY

    - #### PR_RCVD_REPRESENTING_SEARCH_KEY

          public static final PropertyTag PR_RCVD_REPRESENTING_SEARCH_KEY

    - #### PR_READ_RECEIPT_SEARCH_KEY

          public static final PropertyTag PR_READ_RECEIPT_SEARCH_KEY

    - #### PR_REPORT_SEARCH_KEY

          public static final PropertyTag PR_REPORT_SEARCH_KEY

    - #### PR_ORIGINAL_DELIVERY_TIME

          public static final PropertyTag PR_ORIGINAL_DELIVERY_TIME

    - #### PR_ORIGINAL_AUTHOR_SEARCH_KEY

          public static final PropertyTag PR_ORIGINAL_AUTHOR_SEARCH_KEY

    - #### PR_MESSAGE_TO_ME

          public static final PropertyTag PR_MESSAGE_TO_ME

    - #### PR_MESSAGE_CC_ME

          public static final PropertyTag PR_MESSAGE_CC_ME

    - #### PR_MESSAGE_RECIP_ME

          public static final PropertyTag PR_MESSAGE_RECIP_ME

    - #### PR_ORIGINAL_SENDER_NAME

          public static final PropertyTag PR_ORIGINAL_SENDER_NAME

    - #### PR_ORIGINAL_SENDER_ENTRYID

          public static final PropertyTag PR_ORIGINAL_SENDER_ENTRYID

    - #### PR_ORIGINAL_SENDER_SEARCH_KEY

          public static final PropertyTag PR_ORIGINAL_SENDER_SEARCH_KEY

    - #### PR_ORIGINAL_SENT_REPRESENTING_NAME

          public static final PropertyTag PR_ORIGINAL_SENT_REPRESENTING_NAME

    - #### PR_ORIGINAL_SENT_REPRESENTING_ENTRYID

          public static final PropertyTag PR_ORIGINAL_SENT_REPRESENTING_ENTRYID

    - #### PR_ORIGINAL_SENT_REPRESENTING_SEARCH_KEY

          public static final PropertyTag PR_ORIGINAL_SENT_REPRESENTING_SEARCH_KEY

    - #### PR_START_DATE

          public static final PropertyTag PR_START_DATE

    - #### PR_END_DATE

          public static final PropertyTag PR_END_DATE

    - #### PR_OWNER_APPT_ID

          public static final PropertyTag PR_OWNER_APPT_ID

    - #### PR_RESPONSE_REQUESTED

          public static final PropertyTag PR_RESPONSE_REQUESTED

    - #### PR_SENT_REPRESENTING_ADDRTYPE

          public static final PropertyTag PR_SENT_REPRESENTING_ADDRTYPE

    - #### PR_SENT_REPRESENTING_EMAIL_ADDRESS

          public static final PropertyTag PR_SENT_REPRESENTING_EMAIL_ADDRESS

    - #### PR_ORIGINAL_SENDER_ADDRTYPE

          public static final PropertyTag PR_ORIGINAL_SENDER_ADDRTYPE

    - #### PR_ORIGINAL_SENDER_EMAIL_ADDRESS

          public static final PropertyTag PR_ORIGINAL_SENDER_EMAIL_ADDRESS

    - #### PR_ORIGINAL_SENT_REPRESENTING_ADDRTYPE

          public static final PropertyTag PR_ORIGINAL_SENT_REPRESENTING_ADDRTYPE

    - #### PR_ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS

          public static final PropertyTag PR_ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS

    - #### PR_CONVERSATION_TOPIC

          public static final PropertyTag PR_CONVERSATION_TOPIC

    - #### PR_CONVERSATION_INDEX

          public static final PropertyTag PR_CONVERSATION_INDEX

    - #### PR_ORIGINAL_DISPLAY_BCC

          public static final PropertyTag PR_ORIGINAL_DISPLAY_BCC

    - #### PR_ORIGINAL_DISPLAY_CC

          public static final PropertyTag PR_ORIGINAL_DISPLAY_CC

    - #### PR_ORIGINAL_DISPLAY_TO

          public static final PropertyTag PR_ORIGINAL_DISPLAY_TO

    - #### PR_RECEIVED_BY_ADDRTYPE

          public static final PropertyTag PR_RECEIVED_BY_ADDRTYPE

    - #### PR_RECEIVED_BY_EMAIL_ADDRESS

          public static final PropertyTag PR_RECEIVED_BY_EMAIL_ADDRESS

    - #### PR_RCVD_REPRESENTING_ADDRTYPE

          public static final PropertyTag PR_RCVD_REPRESENTING_ADDRTYPE

    - #### PR_RCVD_REPRESENTING_EMAIL_ADDRESS

          public static final PropertyTag PR_RCVD_REPRESENTING_EMAIL_ADDRESS

    - #### PR_ORIGINAL_AUTHOR_ADDRTYPE

          public static final PropertyTag PR_ORIGINAL_AUTHOR_ADDRTYPE

    - #### PR_ORIGINAL_AUTHOR_EMAIL_ADDRESS

          public static final PropertyTag PR_ORIGINAL_AUTHOR_EMAIL_ADDRESS

    - #### PR_ORIGINALLY_INTENDED_RECIP_ADDRTYPE

          public static final PropertyTag PR_ORIGINALLY_INTENDED_RECIP_ADDRTYPE

    - #### PR_ORIGINALLY_INTENDED_RECIP_EMAIL_ADDRESS

          public static final PropertyTag PR_ORIGINALLY_INTENDED_RECIP_EMAIL_ADDRESS

    - #### PR_TRANSPORT_MESSAGE_HEADERS

          public static final PropertyTag PR_TRANSPORT_MESSAGE_HEADERS

    - #### PR_DELEGATION

          public static final PropertyTag PR_DELEGATION

    - #### PR_TNEF_CORRELATION_KEY

          public static final PropertyTag PR_TNEF_CORRELATION_KEY

    - #### PR_CONTENT_INTEGRITY_CHECK

          public static final PropertyTag PR_CONTENT_INTEGRITY_CHECK

    - #### PR_EXPLICIT_CONVERSION

          public static final PropertyTag PR_EXPLICIT_CONVERSION

    - #### PR_IPM_RETURN_REQUESTED

          public static final PropertyTag PR_IPM_RETURN_REQUESTED

    - #### PR_MESSAGE_TOKEN

          public static final PropertyTag PR_MESSAGE_TOKEN

    - #### PR_NDR_REASON_CODE

          public static final PropertyTag PR_NDR_REASON_CODE

    - #### PR_NDR_DIAG_CODE

          public static final PropertyTag PR_NDR_DIAG_CODE

    - #### PR_NON_RECEIPT_NOTIFICATION_REQUESTED

          public static final PropertyTag PR_NON_RECEIPT_NOTIFICATION_REQUESTED

    - #### PR_DELIVERY_POINT

          public static final PropertyTag PR_DELIVERY_POINT

    - #### PR_ORIGINATOR_NON_DELIVERY_REPORT_REQUESTED

          public static final PropertyTag PR_ORIGINATOR_NON_DELIVERY_REPORT_REQUESTED

    - #### PR_ORIGINATOR_REQUESTED_ALTERNATE_RECIPIENT

          public static final PropertyTag PR_ORIGINATOR_REQUESTED_ALTERNATE_RECIPIENT

    - #### PR_PHYSICAL_DELIVERY_BUREAU_FAX_DELIVERY

          public static final PropertyTag PR_PHYSICAL_DELIVERY_BUREAU_FAX_DELIVERY

    - #### PR_PHYSICAL_DELIVERY_MODE

          public static final PropertyTag PR_PHYSICAL_DELIVERY_MODE

    - #### PR_PHYSICAL_DELIVERY_REPORT_REQUEST

          public static final PropertyTag PR_PHYSICAL_DELIVERY_REPORT_REQUEST

    - #### PR_PHYSICAL_FORWARDING_ADDRESS

          public static final PropertyTag PR_PHYSICAL_FORWARDING_ADDRESS

    - #### PR_PHYSICAL_FORWARDING_ADDRESS_REQUESTED

          public static final PropertyTag PR_PHYSICAL_FORWARDING_ADDRESS_REQUESTED

    - #### PR_PHYSICAL_FORWARDING_PROHIBITED

          public static final PropertyTag PR_PHYSICAL_FORWARDING_PROHIBITED

    - #### PR_PHYSICAL_RENDITION_ATTRIBUTES

          public static final PropertyTag PR_PHYSICAL_RENDITION_ATTRIBUTES

    - #### PR_PROOF_OF_DELIVERY

          public static final PropertyTag PR_PROOF_OF_DELIVERY

    - #### PR_PROOF_OF_DELIVERY_REQUESTED

          public static final PropertyTag PR_PROOF_OF_DELIVERY_REQUESTED

    - #### PR_RECIPIENT_CERTIFICATE

          public static final PropertyTag PR_RECIPIENT_CERTIFICATE

    - #### PR_RECIPIENT_NUMBER_FOR_ADVICE

          public static final PropertyTag PR_RECIPIENT_NUMBER_FOR_ADVICE

    - #### PR_RECIPIENT_TYPE

          public static final PropertyTag PR_RECIPIENT_TYPE

    - #### PR_REGISTERED_MAIL_TYPE

          public static final PropertyTag PR_REGISTERED_MAIL_TYPE

    - #### PR_REPLY_REQUESTED

          public static final PropertyTag PR_REPLY_REQUESTED

    - #### PR_REQUESTED_DELIVERY_METHOD

          public static final PropertyTag PR_REQUESTED_DELIVERY_METHOD

    - #### PR_SENDER_ENTRYID

          public static final PropertyTag PR_SENDER_ENTRYID

    - #### PR_SENDER_NAME

          public static final PropertyTag PR_SENDER_NAME

    - #### PR_SUPPLEMENTARY_INFO

          public static final PropertyTag PR_SUPPLEMENTARY_INFO

    - #### PR_TYPE_OF_MTS_USER

          public static final PropertyTag PR_TYPE_OF_MTS_USER

    - #### PR_SENDER_SEARCH_KEY

          public static final PropertyTag PR_SENDER_SEARCH_KEY

    - #### PR_SENDER_ADDRTYPE

          public static final PropertyTag PR_SENDER_ADDRTYPE

    - #### PR_SENDER_EMAIL_ADDRESS

          public static final PropertyTag PR_SENDER_EMAIL_ADDRESS

    - #### PR_CURRENT_VERSION

          public static final PropertyTag PR_CURRENT_VERSION

    - #### PR_DELETE_AFTER_SUBMIT

          public static final PropertyTag PR_DELETE_AFTER_SUBMIT

    - #### PR_DISPLAY_BCC

          public static final PropertyTag PR_DISPLAY_BCC

    - #### PR_DISPLAY_CC

          public static final PropertyTag PR_DISPLAY_CC

    - #### PR_DISPLAY_TO

          public static final PropertyTag PR_DISPLAY_TO

    - #### PR_PARENT_DISPLAY

          public static final PropertyTag PR_PARENT_DISPLAY

    - #### PR_MESSAGE_DELIVERY_TIME

          public static final PropertyTag PR_MESSAGE_DELIVERY_TIME

    - #### PR_MESSAGE_FLAGS

          public static final PropertyTag PR_MESSAGE_FLAGS

    - #### PR_MESSAGE_SIZE

          public static final PropertyTag PR_MESSAGE_SIZE

    - #### PR_MESSAGE_SIZE_EXTENDED

          public static final PropertyTag PR_MESSAGE_SIZE_EXTENDED

    - #### PR_PARENT_ENTRYID

          public static final PropertyTag PR_PARENT_ENTRYID

    - #### PR_SENTMAIL_ENTRYID

          public static final PropertyTag PR_SENTMAIL_ENTRYID

    - #### PR_CORRELATE

          public static final PropertyTag PR_CORRELATE

    - #### PR_CORRELATE_MTSID

          public static final PropertyTag PR_CORRELATE_MTSID

    - #### PR_DISCRETE_VALUES

          public static final PropertyTag PR_DISCRETE_VALUES

    - #### PR_RESPONSIBILITY

          public static final PropertyTag PR_RESPONSIBILITY

    - #### PR_SPOOLER_STATUS

          public static final PropertyTag PR_SPOOLER_STATUS

    - #### PR_TRANSPORT_STATUS

          public static final PropertyTag PR_TRANSPORT_STATUS

    - #### PR_MESSAGE_RECIPIENTS

          public static final PropertyTag PR_MESSAGE_RECIPIENTS

    - #### PR_MESSAGE_ATTACHMENTS

          public static final PropertyTag PR_MESSAGE_ATTACHMENTS

    - #### PR_SUBMIT_FLAGS

          public static final PropertyTag PR_SUBMIT_FLAGS

    - #### PR_RECIPIENT_STATUS

          public static final PropertyTag PR_RECIPIENT_STATUS

    - #### PR_TRANSPORT_KEY

          public static final PropertyTag PR_TRANSPORT_KEY

    - #### PR_MSG_STATUS

          public static final PropertyTag PR_MSG_STATUS

    - #### PR_MESSAGE_DOWNLOAD_TIME

          public static final PropertyTag PR_MESSAGE_DOWNLOAD_TIME

    - #### PR_CREATION_VERSION

          public static final PropertyTag PR_CREATION_VERSION

    - #### PR_MODIFY_VERSION

          public static final PropertyTag PR_MODIFY_VERSION

    - #### PR_HASATTACH

          public static final PropertyTag PR_HASATTACH

    - #### PR_BODY_CRC

          public static final PropertyTag PR_BODY_CRC

    - #### PR_NORMALIZED_SUBJECT

          public static final PropertyTag PR_NORMALIZED_SUBJECT

    - #### PR_RTF_IN_SYNC

          public static final PropertyTag PR_RTF_IN_SYNC

    - #### PR_ATTACH_SIZE

          public static final PropertyTag PR_ATTACH_SIZE

    - #### PR_ATTACH_NUM

          public static final PropertyTag PR_ATTACH_NUM

    - #### PR_PREPROCESS

          public static final PropertyTag PR_PREPROCESS

    - #### PR_INTERNET_ARTICLE_NUMBER

          public static final PropertyTag PR_INTERNET_ARTICLE_NUMBER

    - #### PR_NEWSGROUP_NAME

          public static final PropertyTag PR_NEWSGROUP_NAME

    - #### PR_ORIGINATING_MTA_CERTIFICATE

          public static final PropertyTag PR_ORIGINATING_MTA_CERTIFICATE

    - #### PR_PROOF_OF_SUBMISSION

          public static final PropertyTag PR_PROOF_OF_SUBMISSION

    - #### PR_NT_SECURITY_DESCRIPTOR

          public static final PropertyTag PR_NT_SECURITY_DESCRIPTOR

    - #### PR_CREATOR_SID

          public static final PropertyTag PR_CREATOR_SID

    - #### PR_LAST_MODIFIER_SID

          public static final PropertyTag PR_LAST_MODIFIER_SID

    - #### PR_MIME_HANDLER_CLASSIDS

          public static final PropertyTag PR_MIME_HANDLER_CLASSIDS

    - #### PR_URL_COMP_NAME_POSTFIX

          public static final PropertyTag PR_URL_COMP_NAME_POSTFIX

    - #### PR_URL_COMP_NAME_SET

          public static final PropertyTag PR_URL_COMP_NAME_SET

    - #### PR_SUBFOLDER_CT

          public static final PropertyTag PR_SUBFOLDER_CT

    - #### PR_DELETED_SUBFOLDER_CT

          public static final PropertyTag PR_DELETED_SUBFOLDER_CT

    - #### PR_DELETE_TIME

          public static final PropertyTag PR_DELETE_TIME

    - #### PR_AGE_LIMIT

          public static final PropertyTag PR_AGE_LIMIT

    - #### PR_TRUST_SENDER

          public static final PropertyTag PR_TRUST_SENDER

    - #### PR_ATTACH_VIRUS_SCAN_INFO

          public static final PropertyTag PR_ATTACH_VIRUS_SCAN_INFO

    - #### PR_ACCESS

          public static final PropertyTag PR_ACCESS

    - #### PR_ROW_TYPE

          public static final PropertyTag PR_ROW_TYPE

    - #### PR_INSTANCE_KEY

          public static final PropertyTag PR_INSTANCE_KEY

    - #### PR_ACCESS_LEVEL

          public static final PropertyTag PR_ACCESS_LEVEL

    - #### PR_MAPPING_SIGNATURE

          public static final PropertyTag PR_MAPPING_SIGNATURE

    - #### PR_RECORD_KEY

          public static final PropertyTag PR_RECORD_KEY

    - #### PR_STORE_RECORD_KEY

          public static final PropertyTag PR_STORE_RECORD_KEY

    - #### PR_STORE_ENTRYID

          public static final PropertyTag PR_STORE_ENTRYID

    - #### PR_MINI_ICON

          public static final PropertyTag PR_MINI_ICON

    - #### PR_ICON

          public static final PropertyTag PR_ICON

    - #### PR_OBJECT_TYPE

          public static final PropertyTag PR_OBJECT_TYPE

    - #### PR_ENTRYID

          public static final PropertyTag PR_ENTRYID

    - #### PR_MEMBER_ENTRYID

          public static final PropertyTag PR_MEMBER_ENTRYID

    - #### PR_BODY

          public static final PropertyTag PR_BODY

    - #### PR_REPORT_TEXT

          public static final PropertyTag PR_REPORT_TEXT

    - #### PR_ORIGINATOR_AND_DL_EXPANSION_HISTORY

          public static final PropertyTag PR_ORIGINATOR_AND_DL_EXPANSION_HISTORY

    - #### PR_REPORTING_DL_NAME

          public static final PropertyTag PR_REPORTING_DL_NAME

    - #### PR_REPORTING_MTA_CERTIFICATE

          public static final PropertyTag PR_REPORTING_MTA_CERTIFICATE

    - #### PR_RTF_SYNC_BODY_CRC

          public static final PropertyTag PR_RTF_SYNC_BODY_CRC

    - #### PR_RTF_SYNC_BODY_COUNT

          public static final PropertyTag PR_RTF_SYNC_BODY_COUNT

    - #### PR_RTF_SYNC_BODY_TAG

          public static final PropertyTag PR_RTF_SYNC_BODY_TAG

    - #### PR_RTF_COMPRESSED

          public static final PropertyTag PR_RTF_COMPRESSED

    - #### PR_RTF_SYNC_PREFIX_COUNT

          public static final PropertyTag PR_RTF_SYNC_PREFIX_COUNT

    - #### PR_RTF_SYNC_TRAILING_COUNT

          public static final PropertyTag PR_RTF_SYNC_TRAILING_COUNT

    - #### PR_ORIGINALLY_INTENDED_RECIP_ENTRYID

          public static final PropertyTag PR_ORIGINALLY_INTENDED_RECIP_ENTRYID

    - #### PR_HTML

          public static final PropertyTag PR_HTML

    - #### PR_INTERNET_APPROVED

          public static final PropertyTag PR_INTERNET_APPROVED

    - #### PR_INTERNET_CONTROL

          public static final PropertyTag PR_INTERNET_CONTROL

    - #### PR_INTERNET_DISTRIBUTION

          public static final PropertyTag PR_INTERNET_DISTRIBUTION

    - #### PR_INTERNET_FOLLOWUP_TO

          public static final PropertyTag PR_INTERNET_FOLLOWUP_TO

    - #### PR_INTERNET_LINES

          public static final PropertyTag PR_INTERNET_LINES

    - #### PR_INTERNET_MESSAGE_ID

          public static final PropertyTag PR_INTERNET_MESSAGE_ID

    - #### PR_INTERNET_NEWSGROUPS

          public static final PropertyTag PR_INTERNET_NEWSGROUPS

    - #### PR_INTERNET_ORGANIZATION

          public static final PropertyTag PR_INTERNET_ORGANIZATION

    - #### PR_INTERNET_NNTP_PATH

          public static final PropertyTag PR_INTERNET_NNTP_PATH

    - #### PR_INTERNET_REFERENCES

          public static final PropertyTag PR_INTERNET_REFERENCES

    - #### PR_SUPERSEDES

          public static final PropertyTag PR_SUPERSEDES

    - #### PR_POST_FOLDER_ENTRIES

          public static final PropertyTag PR_POST_FOLDER_ENTRIES

    - #### PR_POST_FOLDER_NAMES

          public static final PropertyTag PR_POST_FOLDER_NAMES

    - #### PR_POST_REPLY_FOLDER_ENTRIES

          public static final PropertyTag PR_POST_REPLY_FOLDER_ENTRIES

    - #### PR_POST_REPLY_FOLDER_NAMES

          public static final PropertyTag PR_POST_REPLY_FOLDER_NAMES

    - #### PR_POST_REPLY_DENIED

          public static final PropertyTag PR_POST_REPLY_DENIED

    - #### PR_NNTP_XREF

          public static final PropertyTag PR_NNTP_XREF

    - #### PR_INTERNET_PRECEDENCE

          public static final PropertyTag PR_INTERNET_PRECEDENCE

    - #### PR_IN_REPLY_TO_ID

          public static final PropertyTag PR_IN_REPLY_TO_ID

    - #### PR_LIST_HELP

          public static final PropertyTag PR_LIST_HELP

    - #### PR_LIST_SUBSCRIBE

          public static final PropertyTag PR_LIST_SUBSCRIBE

    - #### PR_LIST_UNSUBSCRIBE

          public static final PropertyTag PR_LIST_UNSUBSCRIBE

    - #### PR_ACTION

          public static final PropertyTag PR_ACTION

    - #### PR_ACTION_FLAG

          public static final PropertyTag PR_ACTION_FLAG

    - #### PR_ACTION_DATE

          public static final PropertyTag PR_ACTION_DATE

    - #### PR_FLAG_STATUS

          public static final PropertyTag PR_FLAG_STATUS

    - #### PR_FLAG_ICON

          public static final PropertyTag PR_FLAG_ICON

    - #### PR_FLAG_COMPLETE

          public static final PropertyTag PR_FLAG_COMPLETE

    - #### PR_SMTP_TEMP_TBL_DATA

          public static final PropertyTag PR_SMTP_TEMP_TBL_DATA

    - #### PR_SMTP_TEMP_TBL_DATA_2

          public static final PropertyTag PR_SMTP_TEMP_TBL_DATA_2

    - #### PR_SMTP_TEMP_TBL_DATA_3

          public static final PropertyTag PR_SMTP_TEMP_TBL_DATA_3

    - #### PR_CAL_START_TIME

          public static final PropertyTag PR_CAL_START_TIME

    - #### PR_CAL_END_TIME

          public static final PropertyTag PR_CAL_END_TIME

    - #### PR_CAL_RECURRING_ID

          public static final PropertyTag PR_CAL_RECURRING_ID

    - #### PR_DAV_SUBMIT_DATA

          public static final PropertyTag PR_DAV_SUBMIT_DATA

    - #### PR_CDO_EXPANSION_INDEX

          public static final PropertyTag PR_CDO_EXPANSION_INDEX

    - #### PR_IFS_INTERNAL_DATA

          public static final PropertyTag PR_IFS_INTERNAL_DATA

    - #### PR_CAL_REMINDER_NEXT_TIME

          public static final PropertyTag PR_CAL_REMINDER_NEXT_TIME

    - #### PR_OWA_URL

          public static final PropertyTag PR_OWA_URL

    - #### PR_DISABLE_FULL_FIDELITY

          public static final PropertyTag PR_DISABLE_FULL_FIDELITY

    - #### PR_URL_COMP_NAME

          public static final PropertyTag PR_URL_COMP_NAME

    - #### PR_ATTR_HIDDEN

          public static final PropertyTag PR_ATTR_HIDDEN

    - #### PR_ATTR_SYSTEM

          public static final PropertyTag PR_ATTR_SYSTEM

    - #### PR_ATTR_READONLY

          public static final PropertyTag PR_ATTR_READONLY

    - #### PR_P1_CONTENT

          public static final PropertyTag PR_P1_CONTENT

    - #### PR_P1_CONTENT_TYPE

          public static final PropertyTag PR_P1_CONTENT_TYPE

    - #### PR_ROWID

          public static final PropertyTag PR_ROWID

    - #### PR_DISPLAY_NAME

          public static final PropertyTag PR_DISPLAY_NAME

    - #### PR_ADDRTYPE

          public static final PropertyTag PR_ADDRTYPE

    - #### PR_EMAIL_ADDRESS

          public static final PropertyTag PR_EMAIL_ADDRESS

    - #### PR_COMMENT

          public static final PropertyTag PR_COMMENT

    - #### PR_DEPTH

          public static final PropertyTag PR_DEPTH

    - #### PR_PROVIDER_DISPLAY

          public static final PropertyTag PR_PROVIDER_DISPLAY

    - #### PR_CREATION_TIME

          public static final PropertyTag PR_CREATION_TIME

    - #### PR_LAST_MODIFICATION_TIME

          public static final PropertyTag PR_LAST_MODIFICATION_TIME

    - #### PR_RESOURCE_FLAGS

          public static final PropertyTag PR_RESOURCE_FLAGS

    - #### PR_PROVIDER_DLL_NAME

          public static final PropertyTag PR_PROVIDER_DLL_NAME

    - #### PR_SEARCH_KEY

          public static final PropertyTag PR_SEARCH_KEY

    - #### PR_PROVIDER_UID

          public static final PropertyTag PR_PROVIDER_UID

    - #### PR_PROVIDER_ORDINAL

          public static final PropertyTag PR_PROVIDER_ORDINAL

    - #### PR_FORM_VERSION

          public static final PropertyTag PR_FORM_VERSION

    - #### PR_FORM_CLSID

          public static final PropertyTag PR_FORM_CLSID

    - #### PR_FORM_CONTACT_NAME

          public static final PropertyTag PR_FORM_CONTACT_NAME

    - #### PR_FORM_CATEGORY

          public static final PropertyTag PR_FORM_CATEGORY

    - #### PR_FORM_CATEGORY_SUB

          public static final PropertyTag PR_FORM_CATEGORY_SUB

    - #### PR_FORM_HOST_MAP

          public static final PropertyTag PR_FORM_HOST_MAP

    - #### PR_FORM_HIDDEN

          public static final PropertyTag PR_FORM_HIDDEN

    - #### PR_FORM_DESIGNER_NAME

          public static final PropertyTag PR_FORM_DESIGNER_NAME

    - #### PR_FORM_DESIGNER_GUID

          public static final PropertyTag PR_FORM_DESIGNER_GUID

    - #### PR_FORM_MESSAGE_BEHAVIOR

          public static final PropertyTag PR_FORM_MESSAGE_BEHAVIOR

    - #### PR_DEFAULT_STORE

          public static final PropertyTag PR_DEFAULT_STORE

    - #### PR_STORE_SUPPORT_MASK

          public static final PropertyTag PR_STORE_SUPPORT_MASK

    - #### PR_STORE_STATE

          public static final PropertyTag PR_STORE_STATE

    - #### PR_IPM_SUBTREE_SEARCH_KEY

          public static final PropertyTag PR_IPM_SUBTREE_SEARCH_KEY

    - #### PR_IPM_OUTBOX_SEARCH_KEY

          public static final PropertyTag PR_IPM_OUTBOX_SEARCH_KEY

    - #### PR_IPM_WASTEBASKET_SEARCH_KEY

          public static final PropertyTag PR_IPM_WASTEBASKET_SEARCH_KEY

    - #### PR_IPM_SENTMAIL_SEARCH_KEY

          public static final PropertyTag PR_IPM_SENTMAIL_SEARCH_KEY

    - #### PR_MDB_PROVIDER

          public static final PropertyTag PR_MDB_PROVIDER

    - #### PR_RECEIVE_FOLDER_SETTINGS

          public static final PropertyTag PR_RECEIVE_FOLDER_SETTINGS

    - #### PR_VALID_FOLDER_MASK

          public static final PropertyTag PR_VALID_FOLDER_MASK

    - #### PR_IPM_SUBTREE_ENTRYID

          public static final PropertyTag PR_IPM_SUBTREE_ENTRYID

    - #### PR_IPM_OUTBOX_ENTRYID

          public static final PropertyTag PR_IPM_OUTBOX_ENTRYID

    - #### PR_IPM_WASTEBASKET_ENTRYID

          public static final PropertyTag PR_IPM_WASTEBASKET_ENTRYID

    - #### PR_IPM_SENTMAIL_ENTRYID

          public static final PropertyTag PR_IPM_SENTMAIL_ENTRYID

    - #### PR_VIEWS_ENTRYID

          public static final PropertyTag PR_VIEWS_ENTRYID

    - #### PR_COMMON_VIEWS_ENTRYID

          public static final PropertyTag PR_COMMON_VIEWS_ENTRYID

    - #### PR_FINDER_ENTRYID

          public static final PropertyTag PR_FINDER_ENTRYID

    - #### PR_CONTAINER_FLAGS

          public static final PropertyTag PR_CONTAINER_FLAGS

    - #### PR_FOLDER_TYPE

          public static final PropertyTag PR_FOLDER_TYPE

    - #### PR_CONTENT_COUNT

          public static final PropertyTag PR_CONTENT_COUNT

    - #### PR_CONTENT_UNREAD

          public static final PropertyTag PR_CONTENT_UNREAD

    - #### PR_CREATE_TEMPLATES

          public static final PropertyTag PR_CREATE_TEMPLATES

    - #### PR_DETAILS_TABLE

          public static final PropertyTag PR_DETAILS_TABLE

    - #### PR_SEARCH

          public static final PropertyTag PR_SEARCH

    - #### PR_SELECTABLE

          public static final PropertyTag PR_SELECTABLE

    - #### PR_SUBFOLDERS

          public static final PropertyTag PR_SUBFOLDERS

    - #### PR_STATUS

          public static final PropertyTag PR_STATUS

    - #### PR_ANR

          public static final PropertyTag PR_ANR

    - #### PR_CONTENTS_SORT_ORDER

          public static final PropertyTag PR_CONTENTS_SORT_ORDER

    - #### PR_CONTAINER_HIERARCHY

          public static final PropertyTag PR_CONTAINER_HIERARCHY

    - #### PR_CONTAINER_CONTENTS

          public static final PropertyTag PR_CONTAINER_CONTENTS

    - #### PR_FOLDER_ASSOCIATED_CONTENTS

          public static final PropertyTag PR_FOLDER_ASSOCIATED_CONTENTS

    - #### PR_DEF_CREATE_DL

          public static final PropertyTag PR_DEF_CREATE_DL

    - #### PR_DEF_CREATE_MAILUSER

          public static final PropertyTag PR_DEF_CREATE_MAILUSER

    - #### PR_CONTAINER_CLASS

          public static final PropertyTag PR_CONTAINER_CLASS

    - #### PR_CONTAINER_MODIFY_VERSION

          public static final PropertyTag PR_CONTAINER_MODIFY_VERSION

    - #### PR_AB_PROVIDER_ID

          public static final PropertyTag PR_AB_PROVIDER_ID

    - #### PR_DEFAULT_VIEW_ENTRYID

          public static final PropertyTag PR_DEFAULT_VIEW_ENTRYID

    - #### PR_ASSOC_CONTENT_COUNT

          public static final PropertyTag PR_ASSOC_CONTENT_COUNT

    - #### PR_PACKED_NAME_PROPS

          public static final PropertyTag PR_PACKED_NAME_PROPS

    - #### PR_IPM_APPOINTMENT_ENTRYID

          public static final PropertyTag PR_IPM_APPOINTMENT_ENTRYID

    - #### PR_IPM_CONTACT_ENTRYID

          public static final PropertyTag PR_IPM_CONTACT_ENTRYID

    - #### PR_IPM_JOURNAL_ENTRYID

          public static final PropertyTag PR_IPM_JOURNAL_ENTRYID

    - #### PR_IPM_NOTE_ENTRYID

          public static final PropertyTag PR_IPM_NOTE_ENTRYID

    - #### PR_IPM_TASK_ENTRYID

          public static final PropertyTag PR_IPM_TASK_ENTRYID

    - #### PR_REMINDERS_ONLINE_ENTRYID

          public static final PropertyTag PR_REMINDERS_ONLINE_ENTRYID

    - #### PR_REMINDERS_OFFLINE_ENTRYID

          public static final PropertyTag PR_REMINDERS_OFFLINE_ENTRYID

    - #### PR_IPM_DRAFTS_ENTRYID

          public static final PropertyTag PR_IPM_DRAFTS_ENTRYID

    - #### PR_OUTLOOK_2003_ENTRYIDS

          public static final PropertyTag PR_OUTLOOK_2003_ENTRYIDS

    - #### PR_FOLDER_WEBVIEWINFO

          public static final PropertyTag PR_FOLDER_WEBVIEWINFO

    - #### PR_FOLDER_XVIEWINFO_E

          public static final PropertyTag PR_FOLDER_XVIEWINFO_E

    - #### PR_FOLDER_VIEWS_ONLY

          public static final PropertyTag PR_FOLDER_VIEWS_ONLY

    - #### PR_FREEBUSY_ENTRYIDS

          public static final PropertyTag PR_FREEBUSY_ENTRYIDS

    - #### PR_DEF_MSG_CLASS

          public static final PropertyTag PR_DEF_MSG_CLASS

    - #### PR_DEF_FORM_NAME

          public static final PropertyTag PR_DEF_FORM_NAME

    - #### PR_GENERATE_EXCHANGE_VIEWS

          public static final PropertyTag PR_GENERATE_EXCHANGE_VIEWS

    - #### PR_AGING_PERIOD

          public static final PropertyTag PR_AGING_PERIOD

    - #### PR_AGING_GRANULARITY

          public static final PropertyTag PR_AGING_GRANULARITY

    - #### PR_ATTACHMENT_X400_PARAMETERS

          public static final PropertyTag PR_ATTACHMENT_X400_PARAMETERS

    - #### PR_ATTACH_DATA_OBJ

          public static final PropertyTag PR_ATTACH_DATA_OBJ

    - #### PR_ATTACH_DATA_BIN

          public static final PropertyTag PR_ATTACH_DATA_BIN

    - #### PR_ATTACH_ENCODING

          public static final PropertyTag PR_ATTACH_ENCODING

    - #### PR_ATTACH_EXTENSION

          public static final PropertyTag PR_ATTACH_EXTENSION

    - #### PR_ATTACH_FILENAME

          public static final PropertyTag PR_ATTACH_FILENAME

    - #### PR_ATTACH_METHOD

          public static final PropertyTag PR_ATTACH_METHOD

    - #### PR_ATTACH_LONG_FILENAME

          public static final PropertyTag PR_ATTACH_LONG_FILENAME

    - #### PR_ATTACH_PATHNAME

          public static final PropertyTag PR_ATTACH_PATHNAME

    - #### PR_ATTACH_RENDERING

          public static final PropertyTag PR_ATTACH_RENDERING

    - #### PR_ATTACH_TAG

          public static final PropertyTag PR_ATTACH_TAG

    - #### PR_RENDERING_POSITION

          public static final PropertyTag PR_RENDERING_POSITION

    - #### PR_ATTACH_TRANSPORT_NAME

          public static final PropertyTag PR_ATTACH_TRANSPORT_NAME

    - #### PR_ATTACH_LONG_PATHNAME

          public static final PropertyTag PR_ATTACH_LONG_PATHNAME

    - #### PR_ATTACH_MIME_TAG

          public static final PropertyTag PR_ATTACH_MIME_TAG

    - #### PR_ATTACH_ADDITIONAL_INFO

          public static final PropertyTag PR_ATTACH_ADDITIONAL_INFO

    - #### PR_ATTACH_CONTENT_ID

          public static final PropertyTag PR_ATTACH_CONTENT_ID

    - #### PR_ATTACH_CONTENT_LOCATION

          public static final PropertyTag PR_ATTACH_CONTENT_LOCATION

    - #### PR_ATTACH_FLAGS

          public static final PropertyTag PR_ATTACH_FLAGS

    - #### PR_ATTACH_CONTENT_DISPOSITION

          public static final PropertyTag PR_ATTACH_CONTENT_DISPOSITION

    - #### PR_SYNCEVENT_SUPPRESS_GUID

          public static final PropertyTag PR_SYNCEVENT_SUPPRESS_GUID

    - #### PR_DISPLAY_TYPE

          public static final PropertyTag PR_DISPLAY_TYPE

    - #### PR_TEMPLATEID

          public static final PropertyTag PR_TEMPLATEID

    - #### PR_PRIMARY_CAPABILITY

          public static final PropertyTag PR_PRIMARY_CAPABILITY

    - #### PR_SMTP_ADDRESS

          public static final PropertyTag PR_SMTP_ADDRESS

    - #### PR_7BIT_DISPLAY_NAME

          public static final PropertyTag PR_7BIT_DISPLAY_NAME

    - #### PR_EMS_AB_DISPLAY_NAME_PRINTABLE

          public static final PropertyTag PR_EMS_AB_DISPLAY_NAME_PRINTABLE

    - #### PR_ACCOUNT

          public static final PropertyTag PR_ACCOUNT

    - #### PR_ALTERNATE_RECIPIENT

          public static final PropertyTag PR_ALTERNATE_RECIPIENT

    - #### PR_CALLBACK_TELEPHONE_NUMBER

          public static final PropertyTag PR_CALLBACK_TELEPHONE_NUMBER

    - #### PR_CONVERSION_PROHIBITED

          public static final PropertyTag PR_CONVERSION_PROHIBITED

    - #### PR_DISCLOSE_RECIPIENTS

          public static final PropertyTag PR_DISCLOSE_RECIPIENTS

    - #### PR_GENERATION

          public static final PropertyTag PR_GENERATION

    - #### PR_GIVEN_NAME

          public static final PropertyTag PR_GIVEN_NAME

    - #### PR_GOVERNMENT_ID_NUMBER

          public static final PropertyTag PR_GOVERNMENT_ID_NUMBER

    - #### PR_BUSINESS_TELEPHONE_NUMBER

          public static final PropertyTag PR_BUSINESS_TELEPHONE_NUMBER

    - #### PR_OFFICE_TELEPHONE_NUMBER

          public static final PropertyTag PR_OFFICE_TELEPHONE_NUMBER

    - #### PR_HOME_TELEPHONE_NUMBER

          public static final PropertyTag PR_HOME_TELEPHONE_NUMBER

    - #### PR_INITIALS

          public static final PropertyTag PR_INITIALS

    - #### PR_KEYWORD

          public static final PropertyTag PR_KEYWORD

    - #### PR_LANGUAGE

          public static final PropertyTag PR_LANGUAGE

    - #### PR_LOCATION

          public static final PropertyTag PR_LOCATION

    - #### PR_MAIL_PERMISSION

          public static final PropertyTag PR_MAIL_PERMISSION

    - #### PR_MHS_COMMON_NAME

          public static final PropertyTag PR_MHS_COMMON_NAME

    - #### PR_ORGANIZATIONAL_ID_NUMBER

          public static final PropertyTag PR_ORGANIZATIONAL_ID_NUMBER

    - #### PR_SURNAME

          public static final PropertyTag PR_SURNAME

    - #### PR_ORIGINAL_ENTRYID

          public static final PropertyTag PR_ORIGINAL_ENTRYID

    - #### PR_ORIGINAL_DISPLAY_NAME

          public static final PropertyTag PR_ORIGINAL_DISPLAY_NAME

    - #### PR_ORIGINAL_SEARCH_KEY

          public static final PropertyTag PR_ORIGINAL_SEARCH_KEY

    - #### PR_POSTAL_ADDRESS

          public static final PropertyTag PR_POSTAL_ADDRESS

    - #### PR_COMPANY_NAME

          public static final PropertyTag PR_COMPANY_NAME

    - #### PR_TITLE

          public static final PropertyTag PR_TITLE

    - #### PR_DEPARTMENT_NAME

          public static final PropertyTag PR_DEPARTMENT_NAME

    - #### PR_OFFICE_LOCATION

          public static final PropertyTag PR_OFFICE_LOCATION

    - #### PR_PRIMARY_TELEPHONE_NUMBER

          public static final PropertyTag PR_PRIMARY_TELEPHONE_NUMBER

    - #### PR_BUSINESS2_TELEPHONE_NUMBER

          public static final PropertyTag PR_BUSINESS2_TELEPHONE_NUMBER

    - #### PR_OFFICE2_TELEPHONE_NUMBER

          public static final PropertyTag PR_OFFICE2_TELEPHONE_NUMBER

    - #### PR_CELLULAR_TELEPHONE_NUMBER

          public static final PropertyTag PR_CELLULAR_TELEPHONE_NUMBER

    - #### PR_MOBILE_TELEPHONE_NUMBER

          public static final PropertyTag PR_MOBILE_TELEPHONE_NUMBER

    - #### PR_RADIO_TELEPHONE_NUMBER

          public static final PropertyTag PR_RADIO_TELEPHONE_NUMBER

    - #### PR_CAR_TELEPHONE_NUMBER

          public static final PropertyTag PR_CAR_TELEPHONE_NUMBER

    - #### PR_OTHER_TELEPHONE_NUMBER

          public static final PropertyTag PR_OTHER_TELEPHONE_NUMBER

    - #### PR_TRANSMITABLE_DISPLAY_NAME

          public static final PropertyTag PR_TRANSMITABLE_DISPLAY_NAME

    - #### PR_BEEPER_TELEPHONE_NUMBER

          public static final PropertyTag PR_BEEPER_TELEPHONE_NUMBER

    - #### PR_PAGER_TELEPHONE_NUMBER

          public static final PropertyTag PR_PAGER_TELEPHONE_NUMBER

    - #### PR_USER_CERTIFICATE

          public static final PropertyTag PR_USER_CERTIFICATE

    - #### PR_PRIMARY_FAX_NUMBER

          public static final PropertyTag PR_PRIMARY_FAX_NUMBER

    - #### PR_BUSINESS_FAX_NUMBER

          public static final PropertyTag PR_BUSINESS_FAX_NUMBER

    - #### PR_HOME_FAX_NUMBER

          public static final PropertyTag PR_HOME_FAX_NUMBER

    - #### PR_BUSINESS_ADDRESS_COUNTRY

          public static final PropertyTag PR_BUSINESS_ADDRESS_COUNTRY

    - #### PR_COUNTRY

          public static final PropertyTag PR_COUNTRY

    - #### PR_BUSINESS_ADDRESS_CITY

          public static final PropertyTag PR_BUSINESS_ADDRESS_CITY

    - #### PR_LOCALITY

          public static final PropertyTag PR_LOCALITY

    - #### PR_BUSINESS_ADDRESS_STATE_OR_PROVINCE

          public static final PropertyTag PR_BUSINESS_ADDRESS_STATE_OR_PROVINCE

    - #### PR_STATE_OR_PROVINCE

          public static final PropertyTag PR_STATE_OR_PROVINCE

    - #### PR_BUSINESS_ADDRESS_STREET

          public static final PropertyTag PR_BUSINESS_ADDRESS_STREET

    - #### PR_STREET_ADDRESS

          public static final PropertyTag PR_STREET_ADDRESS

    - #### PR_BUSINESS_ADDRESS_POSTAL_CODE

          public static final PropertyTag PR_BUSINESS_ADDRESS_POSTAL_CODE

    - #### PR_POSTAL_CODE

          public static final PropertyTag PR_POSTAL_CODE

    - #### PR_BUSINESS_ADDRESS_POST_OFFICE_BOX

          public static final PropertyTag PR_BUSINESS_ADDRESS_POST_OFFICE_BOX

    - #### PR_POST_OFFICE_BOX

          public static final PropertyTag PR_POST_OFFICE_BOX

    - #### PR_TELEX_NUMBER

          public static final PropertyTag PR_TELEX_NUMBER

    - #### PR_ISDN_NUMBER

          public static final PropertyTag PR_ISDN_NUMBER

    - #### PR_ASSISTANT_TELEPHONE_NUMBER

          public static final PropertyTag PR_ASSISTANT_TELEPHONE_NUMBER

    - #### PR_HOME2_TELEPHONE_NUMBER

          public static final PropertyTag PR_HOME2_TELEPHONE_NUMBER

    - #### PR_ASSISTANT

          public static final PropertyTag PR_ASSISTANT

    - #### PR_SEND_RICH_INFO

          public static final PropertyTag PR_SEND_RICH_INFO

    - #### PR_WEDDING_ANNIVERSARY

          public static final PropertyTag PR_WEDDING_ANNIVERSARY

    - #### PR_BIRTHDAY

          public static final PropertyTag PR_BIRTHDAY

    - #### PR_HOBBIES

          public static final PropertyTag PR_HOBBIES

    - #### PR_MIDDLE_NAME

          public static final PropertyTag PR_MIDDLE_NAME

    - #### PR_DISPLAY_NAME_PREFIX

          public static final PropertyTag PR_DISPLAY_NAME_PREFIX

    - #### PR_PROFESSION

          public static final PropertyTag PR_PROFESSION

    - #### PR_PREFERRED_BY_NAME

          public static final PropertyTag PR_PREFERRED_BY_NAME

    - #### PR_REFERRED_BY_NAME

          public static final PropertyTag PR_REFERRED_BY_NAME

    - #### PR_SPOUSE_NAME

          public static final PropertyTag PR_SPOUSE_NAME

    - #### PR_COMPUTER_NETWORK_NAME

          public static final PropertyTag PR_COMPUTER_NETWORK_NAME

    - #### PR_CUSTOMER_ID

          public static final PropertyTag PR_CUSTOMER_ID

    - #### PR_TTYTDD_PHONE_NUMBER

          public static final PropertyTag PR_TTYTDD_PHONE_NUMBER

    - #### PR_FTP_SITE

          public static final PropertyTag PR_FTP_SITE

    - #### PR_GENDER

          public static final PropertyTag PR_GENDER

    - #### PR_MANAGER_NAME

          public static final PropertyTag PR_MANAGER_NAME

    - #### PR_NICKNAME

          public static final PropertyTag PR_NICKNAME

    - #### PR_PERSONAL_HOME_PAGE

          public static final PropertyTag PR_PERSONAL_HOME_PAGE

    - #### PR_BUSINESS_HOME_PAGE

          public static final PropertyTag PR_BUSINESS_HOME_PAGE

    - #### PR_CONTACT_VERSION

          public static final PropertyTag PR_CONTACT_VERSION

    - #### PR_CONTACT_ENTRYIDS

          public static final PropertyTag PR_CONTACT_ENTRYIDS

    - #### PR_CONTACT_ADDRTYPES

          public static final PropertyTag PR_CONTACT_ADDRTYPES

    - #### PR_CONTACT_DEFAULT_ADDRESS_INDEX

          public static final PropertyTag PR_CONTACT_DEFAULT_ADDRESS_INDEX

    - #### PR_CONTACT_EMAIL_ADDRESSES

          public static final PropertyTag PR_CONTACT_EMAIL_ADDRESSES

    - #### PR_COMPANY_MAIN_PHONE_NUMBER

          public static final PropertyTag PR_COMPANY_MAIN_PHONE_NUMBER

    - #### PR_CHILDRENS_NAMES

          public static final PropertyTag PR_CHILDRENS_NAMES

    - #### PR_HOME_ADDRESS_CITY

          public static final PropertyTag PR_HOME_ADDRESS_CITY

    - #### PR_HOME_ADDRESS_COUNTRY

          public static final PropertyTag PR_HOME_ADDRESS_COUNTRY

    - #### PR_HOME_ADDRESS_POSTAL_CODE

          public static final PropertyTag PR_HOME_ADDRESS_POSTAL_CODE

    - #### PR_HOME_ADDRESS_STATE_OR_PROVINCE

          public static final PropertyTag PR_HOME_ADDRESS_STATE_OR_PROVINCE

    - #### PR_HOME_ADDRESS_STREET

          public static final PropertyTag PR_HOME_ADDRESS_STREET

    - #### PR_HOME_ADDRESS_POST_OFFICE_BOX

          public static final PropertyTag PR_HOME_ADDRESS_POST_OFFICE_BOX

    - #### PR_OTHER_ADDRESS_CITY

          public static final PropertyTag PR_OTHER_ADDRESS_CITY

    - #### PR_OTHER_ADDRESS_COUNTRY

          public static final PropertyTag PR_OTHER_ADDRESS_COUNTRY

    - #### PR_OTHER_ADDRESS_POSTAL_CODE

          public static final PropertyTag PR_OTHER_ADDRESS_POSTAL_CODE

    - #### PR_OTHER_ADDRESS_STATE_OR_PROVINCE

          public static final PropertyTag PR_OTHER_ADDRESS_STATE_OR_PROVINCE

    - #### PR_OTHER_ADDRESS_STREET

          public static final PropertyTag PR_OTHER_ADDRESS_STREET

    - #### PR_OTHER_ADDRESS_POST_OFFICE_BOX

          public static final PropertyTag PR_OTHER_ADDRESS_POST_OFFICE_BOX

    - #### PR_USER_X509_CERTIFICATE

          public static final PropertyTag PR_USER_X509_CERTIFICATE

    - #### PR_SEND_INTERNET_ENCODING

          public static final PropertyTag PR_SEND_INTERNET_ENCODING

    - #### PR_STORE_PROVIDERS

          public static final PropertyTag PR_STORE_PROVIDERS

    - #### PR_AB_PROVIDERS

          public static final PropertyTag PR_AB_PROVIDERS

    - #### PR_TRANSPORT_PROVIDERS

          public static final PropertyTag PR_TRANSPORT_PROVIDERS

    - #### PR_DEFAULT_PROFILE

          public static final PropertyTag PR_DEFAULT_PROFILE

    - #### PR_AB_SEARCH_PATH

          public static final PropertyTag PR_AB_SEARCH_PATH

    - #### PR_AB_DEFAULT_DIR

          public static final PropertyTag PR_AB_DEFAULT_DIR

    - #### PR_AB_DEFAULT_PAB

          public static final PropertyTag PR_AB_DEFAULT_PAB

    - #### PR_FILTERING_HOOKS

          public static final PropertyTag PR_FILTERING_HOOKS

    - #### PR_SERVICE_NAME

          public static final PropertyTag PR_SERVICE_NAME

    - #### PR_SERVICE_DLL_NAME

          public static final PropertyTag PR_SERVICE_DLL_NAME

    - #### PR_SERVICE_ENTRY_NAME

          public static final PropertyTag PR_SERVICE_ENTRY_NAME

    - #### PR_SERVICE_UID

          public static final PropertyTag PR_SERVICE_UID

    - #### PR_SERVICE_EXTRA_UIDS

          public static final PropertyTag PR_SERVICE_EXTRA_UIDS

    - #### PR_SERVICES

          public static final PropertyTag PR_SERVICES

    - #### PR_SERVICE_SUPPORT_FILES

          public static final PropertyTag PR_SERVICE_SUPPORT_FILES

    - #### PR_SERVICE_DELETE_FILES

          public static final PropertyTag PR_SERVICE_DELETE_FILES

    - #### PR_AB_SEARCH_PATH_UPDATE

          public static final PropertyTag PR_AB_SEARCH_PATH_UPDATE

    - #### PR_PROFILE_NAME

          public static final PropertyTag PR_PROFILE_NAME

    - #### PR_ADMIN_SECURITY_DESCRIPTOR

          public static final PropertyTag PR_ADMIN_SECURITY_DESCRIPTOR

    - #### PR_IDENTITY_DISPLAY

          public static final PropertyTag PR_IDENTITY_DISPLAY

    - #### PR_IDENTITY_ENTRYID

          public static final PropertyTag PR_IDENTITY_ENTRYID

    - #### PR_RESOURCE_METHODS

          public static final PropertyTag PR_RESOURCE_METHODS

    - #### PR_RESOURCE_TYPE

          public static final PropertyTag PR_RESOURCE_TYPE

    - #### PR_STATUS_CODE

          public static final PropertyTag PR_STATUS_CODE

    - #### PR_IDENTITY_SEARCH_KEY

          public static final PropertyTag PR_IDENTITY_SEARCH_KEY

    - #### PR_OWN_STORE_ENTRYID

          public static final PropertyTag PR_OWN_STORE_ENTRYID

    - #### PR_RESOURCE_PATH

          public static final PropertyTag PR_RESOURCE_PATH

    - #### PR_STATUS_STRING

          public static final PropertyTag PR_STATUS_STRING

    - #### PR_X400_DEFERRED_DELIVERY_CANCEL

          public static final PropertyTag PR_X400_DEFERRED_DELIVERY_CANCEL

    - #### PR_HEADER_FOLDER_ENTRYID

          public static final PropertyTag PR_HEADER_FOLDER_ENTRYID

    - #### PR_REMOTE_PROGRESS

          public static final PropertyTag PR_REMOTE_PROGRESS

    - #### PR_REMOTE_PROGRESS_TEXT

          public static final PropertyTag PR_REMOTE_PROGRESS_TEXT

    - #### PR_REMOTE_VALIDATE_OK

          public static final PropertyTag PR_REMOTE_VALIDATE_OK

    - #### PR_CONTROL_FLAGS

          public static final PropertyTag PR_CONTROL_FLAGS

    - #### PR_CONTROL_STRUCTURE

          public static final PropertyTag PR_CONTROL_STRUCTURE

    - #### PR_CONTROL_TYPE

          public static final PropertyTag PR_CONTROL_TYPE

    - #### PR_DELTAX

          public static final PropertyTag PR_DELTAX

    - #### PR_DELTAY

          public static final PropertyTag PR_DELTAY

    - #### PR_XPOS

          public static final PropertyTag PR_XPOS

    - #### PR_YPOS

          public static final PropertyTag PR_YPOS

    - #### PR_CONTROL_ID

          public static final PropertyTag PR_CONTROL_ID

    - #### PR_INITIAL_DETAILS_PANE

          public static final PropertyTag PR_INITIAL_DETAILS_PANE

    - #### PR_DID

          public static final PropertyTag PR_DID

    - #### PR_SEQID

          public static final PropertyTag PR_SEQID

    - #### PR_DRAFTID

          public static final PropertyTag PR_DRAFTID

    - #### PR_CHECK_IN_TIME

          public static final PropertyTag PR_CHECK_IN_TIME

    - #### PR_CHECK_IN_COMMENT

          public static final PropertyTag PR_CHECK_IN_COMMENT

    - #### PR_VERSION_OP_CODE

          public static final PropertyTag PR_VERSION_OP_CODE

    - #### PR_VERSION_OP_DATA

          public static final PropertyTag PR_VERSION_OP_DATA

    - #### PR_VERSION_SEQUENCE_NUMBER

          public static final PropertyTag PR_VERSION_SEQUENCE_NUMBER

    - #### PR_ATTACH_ID

          public static final PropertyTag PR_ATTACH_ID

    - #### PR_PKM_DOC_STATUS

          public static final PropertyTag PR_PKM_DOC_STATUS

    - #### PR_MV_PKM_OPERATION_REQ

          public static final PropertyTag PR_MV_PKM_OPERATION_REQ

    - #### PR_PKM_DOC_INTERNAL_STATE

          public static final PropertyTag PR_PKM_DOC_INTERNAL_STATE

    - #### PR_VERSIONING_FLAGS

          public static final PropertyTag PR_VERSIONING_FLAGS

    - #### PR_PKM_LAST_UNAPPROVED_VID

          public static final PropertyTag PR_PKM_LAST_UNAPPROVED_VID

    - #### PR_MV_PKM_VERSION_LABELS

          public static final PropertyTag PR_MV_PKM_VERSION_LABELS

    - #### PR_MV_PKM_VERSION_STATUS

          public static final PropertyTag PR_MV_PKM_VERSION_STATUS

    - #### PR_PKM_INTERNAL_DATA

          public static final PropertyTag PR_PKM_INTERNAL_DATA

    - #### PR_LAST_CONFLICT

          public static final PropertyTag PR_LAST_CONFLICT

    - #### PR_CONFLICT_MSG_KEY

          public static final PropertyTag PR_CONFLICT_MSG_KEY

    - #### PR_REPL_HEADER

          public static final PropertyTag PR_REPL_HEADER

    - #### PR_REPL_STATUS

          public static final PropertyTag PR_REPL_STATUS

    - #### PR_REPL_CHANGES

          public static final PropertyTag PR_REPL_CHANGES

    - #### PR_REPL_RGM

          public static final PropertyTag PR_REPL_RGM

    - #### PR_RMI

          public static final PropertyTag PR_RMI

    - #### PR_INTERNAL_POST_REPLY

          public static final PropertyTag PR_INTERNAL_POST_REPLY

    - #### PR_NTSD_MODIFICATION_TIME

          public static final PropertyTag PR_NTSD_MODIFICATION_TIME

    - #### PR_PREVIEW_UNREAD

          public static final PropertyTag PR_PREVIEW_UNREAD

    - #### PR_PREVIEW

          public static final PropertyTag PR_PREVIEW

    - #### PR_ABSTRACT

          public static final PropertyTag PR_ABSTRACT

    - #### PR_DL_REPORT_FLAGS

          public static final PropertyTag PR_DL_REPORT_FLAGS

    - #### PR_BILATERAL_INFO

          public static final PropertyTag PR_BILATERAL_INFO

    - #### PR_MSG_BODY_ID

          public static final PropertyTag PR_MSG_BODY_ID

    - #### PR_INTERNET_CPID

          public static final PropertyTag PR_INTERNET_CPID

    - #### PR_AUTO_RESPONSE_SUPPRESS

          public static final PropertyTag PR_AUTO_RESPONSE_SUPPRESS

    - #### PR_ACL_TABLE

          public static final PropertyTag PR_ACL_TABLE

    - #### PR_ACL_DATA

          public static final PropertyTag PR_ACL_DATA

    - #### PR_RULES_TABLE

          public static final PropertyTag PR_RULES_TABLE

    - #### PR_RULES_DATA

          public static final PropertyTag PR_RULES_DATA

    - #### PR_FOLDER_DESIGN_FLAGS

          public static final PropertyTag PR_FOLDER_DESIGN_FLAGS

    - #### PR_DELEGATED_BY_RULE

          public static final PropertyTag PR_DELEGATED_BY_RULE

    - #### PR_DESIGN_IN_PROGRESS

          public static final PropertyTag PR_DESIGN_IN_PROGRESS

    - #### PR_SECURE_ORIGINATION

          public static final PropertyTag PR_SECURE_ORIGINATION

    - #### PR_PUBLISH_IN_ADDRESS_BOOK

          public static final PropertyTag PR_PUBLISH_IN_ADDRESS_BOOK

    - #### PR_RESOLVE_METHOD

          public static final PropertyTag PR_RESOLVE_METHOD

    - #### PR_ADDRESS_BOOK_DISPLAY_NAME

          public static final PropertyTag PR_ADDRESS_BOOK_DISPLAY_NAME

    - #### PR_EFORMS_LOCALE_ID

          public static final PropertyTag PR_EFORMS_LOCALE_ID

    - #### PR_HAS_DAMS

          public static final PropertyTag PR_HAS_DAMS

    - #### PR_DEFERRED_SEND_NUMBER

          public static final PropertyTag PR_DEFERRED_SEND_NUMBER

    - #### PR_DEFERRED_SEND_UNITS

          public static final PropertyTag PR_DEFERRED_SEND_UNITS

    - #### PR_EXPIRY_NUMBER

          public static final PropertyTag PR_EXPIRY_NUMBER

    - #### PR_EXPIRY_UNITS

          public static final PropertyTag PR_EXPIRY_UNITS

    - #### PR_DEFERRED_SEND_TIME

          public static final PropertyTag PR_DEFERRED_SEND_TIME

    - #### PR_CONFLICT_ENTRYID

          public static final PropertyTag PR_CONFLICT_ENTRYID

    - #### PR_MESSAGE_LOCALE_ID

          public static final PropertyTag PR_MESSAGE_LOCALE_ID

    - #### PR_RULE_TRIGGER_HISTORY

          public static final PropertyTag PR_RULE_TRIGGER_HISTORY

    - #### PR_MOVE_TO_STORE_ENTRYID

          public static final PropertyTag PR_MOVE_TO_STORE_ENTRYID

    - #### PR_MOVE_TO_FOLDER_ENTRYID

          public static final PropertyTag PR_MOVE_TO_FOLDER_ENTRYID

    - #### PR_STORAGE_QUOTA_LIMIT

          public static final PropertyTag PR_STORAGE_QUOTA_LIMIT

    - #### PR_EXCESS_STORAGE_USED

          public static final PropertyTag PR_EXCESS_STORAGE_USED

    - #### PR_SVR_GENERATING_QUOTA_MSG

          public static final PropertyTag PR_SVR_GENERATING_QUOTA_MSG

    - #### PR_CREATOR_NAME

          public static final PropertyTag PR_CREATOR_NAME

    - #### PR_CREATOR_ENTRYID

          public static final PropertyTag PR_CREATOR_ENTRYID

    - #### PR_LAST_VERB_EXECUTED

          public static final PropertyTag PR_LAST_VERB_EXECUTED

    - #### PR_LAST_VERB_EXECUTION_TIME

          public static final PropertyTag PR_LAST_VERB_EXECUTION_TIME

    - #### PR_LAST_MODIFIER_NAME

          public static final PropertyTag PR_LAST_MODIFIER_NAME

    - #### PR_LAST_MODIFIER_ENTRYID

          public static final PropertyTag PR_LAST_MODIFIER_ENTRYID

    - #### PR_REPLY_RECIPIENT_SMTP_PROXIES

          public static final PropertyTag PR_REPLY_RECIPIENT_SMTP_PROXIES

    - #### PR_MESSAGE_CODEPAGE

          public static final PropertyTag PR_MESSAGE_CODEPAGE

    - #### PR_EXTENDED_ACL_DATA

          public static final PropertyTag PR_EXTENDED_ACL_DATA

    - #### PR_FROM_I_HAVE

          public static final PropertyTag PR_FROM_I_HAVE

    - #### PR_NEW_ATTACH

          public static final PropertyTag PR_NEW_ATTACH

    - #### PR_START_EMBED

          public static final PropertyTag PR_START_EMBED

    - #### PR_END_EMBED

          public static final PropertyTag PR_END_EMBED

    - #### PR_START_RECIP

          public static final PropertyTag PR_START_RECIP

    - #### PR_END_RECIP

          public static final PropertyTag PR_END_RECIP

    - #### PR_END_CC_RECIP

          public static final PropertyTag PR_END_CC_RECIP

    - #### PR_END_BCC_RECIP

          public static final PropertyTag PR_END_BCC_RECIP

    - #### PR_END_P1_RECIP

          public static final PropertyTag PR_END_P1_RECIP

    - #### PR_START_TOP_FLD

          public static final PropertyTag PR_START_TOP_FLD

    - #### PR_START_SUB_FLD

          public static final PropertyTag PR_START_SUB_FLD

    - #### PR_END_FOLDER

          public static final PropertyTag PR_END_FOLDER

    - #### PR_START_MESSAGE

          public static final PropertyTag PR_START_MESSAGE

    - #### PR_END_MESSAGE

          public static final PropertyTag PR_END_MESSAGE

    - #### PR_END_ATTACH

          public static final PropertyTag PR_END_ATTACH

    - #### PR_EC_WARNING

          public static final PropertyTag PR_EC_WARNING

    - #### PR_START_FAI_MSG

          public static final PropertyTag PR_START_FAI_MSG

    - #### PR_NEW_FX_FOLDER

          public static final PropertyTag PR_NEW_FX_FOLDER

    - #### PR_INCR_SYNC_CHG

          public static final PropertyTag PR_INCR_SYNC_CHG

    - #### PR_INCR_SYNC_DEL

          public static final PropertyTag PR_INCR_SYNC_DEL

    - #### PR_INCR_SYNC_END

          public static final PropertyTag PR_INCR_SYNC_END

    - #### PR_INCR_SYNC_MSG

          public static final PropertyTag PR_INCR_SYNC_MSG

    - #### PR_FX_DEL_PROP

          public static final PropertyTag PR_FX_DEL_PROP

    - #### PR_IDSET_GIVEN

          public static final PropertyTag PR_IDSET_GIVEN

    - #### PR_SENDER_FLAGS

          public static final PropertyTag PR_SENDER_FLAGS

    - #### PR_SENT_REPRESENTING_FLAGS

          public static final PropertyTag PR_SENT_REPRESENTING_FLAGS

    - #### PR_RCVD_BY_FLAGS

          public static final PropertyTag PR_RCVD_BY_FLAGS

    - #### PR_RCVD_REPRESENTING_FLAGS

          public static final PropertyTag PR_RCVD_REPRESENTING_FLAGS

    - #### PR_ORIGINAL_SENDER_FLAGS

          public static final PropertyTag PR_ORIGINAL_SENDER_FLAGS

    - #### PR_ORIGINAL_SENT_REPRESENTING_FLAGS

          public static final PropertyTag PR_ORIGINAL_SENT_REPRESENTING_FLAGS

    - #### PR_REPORT_FLAGS

          public static final PropertyTag PR_REPORT_FLAGS

    - #### PR_READ_RECEIPT_FLAGS

          public static final PropertyTag PR_READ_RECEIPT_FLAGS

    - #### PR_SOFT_DELETES

          public static final PropertyTag PR_SOFT_DELETES

    - #### PR_MESSAGE_SUBMISSION_ID_FROM_CLIENT

          public static final PropertyTag PR_MESSAGE_SUBMISSION_ID_FROM_CLIENT

    - #### PR_SENDER_SIMPLE_DISP_NAME

          public static final PropertyTag PR_SENDER_SIMPLE_DISP_NAME

    - #### PR_SENT_REPRESENTING_SIMPLE_DISP_NAME

          public static final PropertyTag PR_SENT_REPRESENTING_SIMPLE_DISP_NAME

    - #### PR_CREATOR_SIMPLE_DISP_NAME

          public static final PropertyTag PR_CREATOR_SIMPLE_DISP_NAME

    - #### PR_ORG_ADDR_TYPE

          public static final PropertyTag PR_ORG_ADDR_TYPE

    - #### PR_ORG_EMAIL_ADDR

          public static final PropertyTag PR_ORG_EMAIL_ADDR

    - #### PR_CREATOR_FLAGS

          public static final PropertyTag PR_CREATOR_FLAGS

    - #### PR_MODIFIER_FLAGS

          public static final PropertyTag PR_MODIFIER_FLAGS

    - #### PR_ORIGINATOR_FLAGS

          public static final PropertyTag PR_ORIGINATOR_FLAGS

    - #### PR_REPORT_DESTINATION_FLAGS

          public static final PropertyTag PR_REPORT_DESTINATION_FLAGS

    - #### PR_ORIGINAL_AUTHOR_FLAGS

          public static final PropertyTag PR_ORIGINAL_AUTHOR_FLAGS

    - #### PR_ORIGINATOR_SEARCH_KEY

          public static final PropertyTag PR_ORIGINATOR_SEARCH_KEY

    - #### PR_REPORT_DESTINATION_SEARCH_KEY

          public static final PropertyTag PR_REPORT_DESTINATION_SEARCH_KEY

    - #### PR_ER_FLAG

          public static final PropertyTag PR_ER_FLAG

    - #### PR_INTERNET_SUBJECT

          public static final PropertyTag PR_INTERNET_SUBJECT

    - #### PR_INTERNET_SENT_REPRESENTING_NAME

          public static final PropertyTag PR_INTERNET_SENT_REPRESENTING_NAME

    - #### PR_INET_MAIL_OVERRIDE_FORMAT

          public static final PropertyTag PR_INET_MAIL_OVERRIDE_FORMAT

    - #### PR_MSG_EDITOR_FORMAT

          public static final PropertyTag PR_MSG_EDITOR_FORMAT

    - #### PR_DOTSTUFF_STATE

          public static final PropertyTag PR_DOTSTUFF_STATE

    - #### PR_RULE_SERVER_RULE_ID

          public static final PropertyTag PR_RULE_SERVER_RULE_ID

    - #### PR_REPLY_TEMPLATE_ID

          public static final PropertyTag PR_REPLY_TEMPLATE_ID

    - #### PR_SOURCE_KEY

          public static final PropertyTag PR_SOURCE_KEY

    - #### PR_PARENT_SOURCE_KEY

          public static final PropertyTag PR_PARENT_SOURCE_KEY

    - #### PR_CHANGE_KEY

          public static final PropertyTag PR_CHANGE_KEY

    - #### PR_PREDECESSOR_CHANGE_LIST

          public static final PropertyTag PR_PREDECESSOR_CHANGE_LIST

    - #### PR_SYNCHRONIZE_FLAGS

          public static final PropertyTag PR_SYNCHRONIZE_FLAGS

    - #### PR_AUTO_ADD_NEW_SUBS

          public static final PropertyTag PR_AUTO_ADD_NEW_SUBS

    - #### PR_NEW_SUBS_GET_AUTO_ADD

          public static final PropertyTag PR_NEW_SUBS_GET_AUTO_ADD

    - #### PR_MESSAGE_SITE_NAME

          public static final PropertyTag PR_MESSAGE_SITE_NAME

    - #### PR_MESSAGE_PROCESSED

          public static final PropertyTag PR_MESSAGE_PROCESSED

    - #### PR_RULE_MSG_STATE

          public static final PropertyTag PR_RULE_MSG_STATE

    - #### PR_RULE_MSG_USER_FLAGS

          public static final PropertyTag PR_RULE_MSG_USER_FLAGS

    - #### PR_RULE_MSG_PROVIDER

          public static final PropertyTag PR_RULE_MSG_PROVIDER

    - #### PR_RULE_MSG_NAME

          public static final PropertyTag PR_RULE_MSG_NAME

    - #### PR_RULE_MSG_LEVEL

          public static final PropertyTag PR_RULE_MSG_LEVEL

    - #### PR_RULE_MSG_PROVIDER_DATA

          public static final PropertyTag PR_RULE_MSG_PROVIDER_DATA

    - #### PR_RULE_MSG_ACTIONS

          public static final PropertyTag PR_RULE_MSG_ACTIONS

    - #### PR_RULE_MSG_CONDITION

          public static final PropertyTag PR_RULE_MSG_CONDITION

    - #### PR_RULE_MSG_CONDITION_LCID

          public static final PropertyTag PR_RULE_MSG_CONDITION_LCID

    - #### PR_RULE_MSG_VERSION

          public static final PropertyTag PR_RULE_MSG_VERSION

    - #### PR_RULE_MSG_SEQUENCE

          public static final PropertyTag PR_RULE_MSG_SEQUENCE

    - #### PR_PREVENT_MSG_CREATE

          public static final PropertyTag PR_PREVENT_MSG_CREATE

    - #### PR_IMAP_INTERNAL_DATE

          public static final PropertyTag PR_IMAP_INTERNAL_DATE

    - #### PR_PROFILE_VERSION

          public static final PropertyTag PR_PROFILE_VERSION

    - #### PR_PROFILE_CONFIG_FLAGS

          public static final PropertyTag PR_PROFILE_CONFIG_FLAGS

    - #### PR_PROFILE_HOME_SERVER

          public static final PropertyTag PR_PROFILE_HOME_SERVER

    - #### PR_PROFILE_USER

          public static final PropertyTag PR_PROFILE_USER

    - #### PR_PROFILE_CONNECT_FLAGS

          public static final PropertyTag PR_PROFILE_CONNECT_FLAGS

    - #### PR_PROFILE_TRANSPORT_FLAGS

          public static final PropertyTag PR_PROFILE_TRANSPORT_FLAGS

    - #### PR_PROFILE_UI_STATE

          public static final PropertyTag PR_PROFILE_UI_STATE

    - #### PR_PROFILE_UNRESOLVED_NAME

          public static final PropertyTag PR_PROFILE_UNRESOLVED_NAME

    - #### PR_PROFILE_UNRESOLVED_SERVER

          public static final PropertyTag PR_PROFILE_UNRESOLVED_SERVER

    - #### PR_PROFILE_OPEN_FLAGS

          public static final PropertyTag PR_PROFILE_OPEN_FLAGS

    - #### PR_PROFILE_BINDING_ORDER

          public static final PropertyTag PR_PROFILE_BINDING_ORDER

    - #### PR_PROFILE_TYPE

          public static final PropertyTag PR_PROFILE_TYPE

    - #### PR_PROFILE_MAILBOX

          public static final PropertyTag PR_PROFILE_MAILBOX

    - #### PR_PROFILE_SERVER

          public static final PropertyTag PR_PROFILE_SERVER

    - #### PR_PROFILE_MAX_RESTRICT

          public static final PropertyTag PR_PROFILE_MAX_RESTRICT

    - #### PR_PROFILE_AB_FILES_PATH

          public static final PropertyTag PR_PROFILE_AB_FILES_PATH

    - #### PR_PROFILE_FAVFLD_DISPLAY_NAME

          public static final PropertyTag PR_PROFILE_FAVFLD_DISPLAY_NAME

    - #### PR_PROFILE_OFFLINE_STORE_PATH

          public static final PropertyTag PR_PROFILE_OFFLINE_STORE_PATH

    - #### PR_PROFILE_OFFLINE_INFO

          public static final PropertyTag PR_PROFILE_OFFLINE_INFO

    - #### PR_PROFILE_HOME_SERVER_DN

          public static final PropertyTag PR_PROFILE_HOME_SERVER_DN

    - #### PR_PROFILE_HOME_SERVER_ADDRS

          public static final PropertyTag PR_PROFILE_HOME_SERVER_ADDRS

    - #### PR_PROFILE_SERVER_DN

          public static final PropertyTag PR_PROFILE_SERVER_DN

    - #### PR_PROFILE_FAVFLD_COMMENT

          public static final PropertyTag PR_PROFILE_FAVFLD_COMMENT

    - #### PR_PROFILE_ALLPUB_DISPLAY_NAME

          public static final PropertyTag PR_PROFILE_ALLPUB_DISPLAY_NAME

    - #### PR_PROFILE_ALLPUB_COMMENT

          public static final PropertyTag PR_PROFILE_ALLPUB_COMMENT

    - #### PR_DISABLE_WINSOCK

          public static final PropertyTag PR_DISABLE_WINSOCK

    - #### PR_IN_TRANSIT

          public static final PropertyTag PR_IN_TRANSIT

    - #### PR_PROFILE_AUTH_PACKAGE

          public static final PropertyTag PR_PROFILE_AUTH_PACKAGE

    - #### PR_USER_ENTRYID

          public static final PropertyTag PR_USER_ENTRYID

    - #### PR_USER_NAME

          public static final PropertyTag PR_USER_NAME

    - #### PR_MAILBOX_OWNER_ENTRYID

          public static final PropertyTag PR_MAILBOX_OWNER_ENTRYID

    - #### PR_MAILBOX_OWNER_NAME

          public static final PropertyTag PR_MAILBOX_OWNER_NAME

    - #### PR_OOF_STATE

          public static final PropertyTag PR_OOF_STATE

    - #### PR_SCHEDULE_FOLDER_ENTRYID

          public static final PropertyTag PR_SCHEDULE_FOLDER_ENTRYID

    - #### PR_IPM_DAF_ENTRYID

          public static final PropertyTag PR_IPM_DAF_ENTRYID

    - #### PR_NON_IPM_SUBTREE_ENTRYID

          public static final PropertyTag PR_NON_IPM_SUBTREE_ENTRYID

    - #### PR_EFORMS_REGISTRY_ENTRYID

          public static final PropertyTag PR_EFORMS_REGISTRY_ENTRYID

    - #### PR_SPLUS_FREE_BUSY_ENTRYID

          public static final PropertyTag PR_SPLUS_FREE_BUSY_ENTRYID

    - #### PR_HIERARCHY_SERVER

          public static final PropertyTag PR_HIERARCHY_SERVER

    - #### PR_OFFLINE_ADDRBOOK_ENTRYID

          public static final PropertyTag PR_OFFLINE_ADDRBOOK_ENTRYID

    - #### PR_EFORMS_FOR_LOCALE_ENTRYID

          public static final PropertyTag PR_EFORMS_FOR_LOCALE_ENTRYID

    - #### PR_FREE_BUSY_FOR_LOCAL_SITE_ENTRYID

          public static final PropertyTag PR_FREE_BUSY_FOR_LOCAL_SITE_ENTRYID

    - #### PR_ADDRBOOK_FOR_LOCAL_SITE_ENTRYID

          public static final PropertyTag PR_ADDRBOOK_FOR_LOCAL_SITE_ENTRYID

    - #### PR_OFFLINE_MESSAGE_ENTRYID

          public static final PropertyTag PR_OFFLINE_MESSAGE_ENTRYID

    - #### PR_GW_MTSIN_ENTRYID

          public static final PropertyTag PR_GW_MTSIN_ENTRYID

    - #### PR_GW_MTSOUT_ENTRYID

          public static final PropertyTag PR_GW_MTSOUT_ENTRYID

    - #### PR_TRANSFER_ENABLED

          public static final PropertyTag PR_TRANSFER_ENABLED

    - #### PR_TEST_LINE_SPEED

          public static final PropertyTag PR_TEST_LINE_SPEED

    - #### PR_HIERARCHY_SYNCHRONIZER

          public static final PropertyTag PR_HIERARCHY_SYNCHRONIZER

    - #### PR_CONTENTS_SYNCHRONIZER

          public static final PropertyTag PR_CONTENTS_SYNCHRONIZER

    - #### PR_COLLECTOR

          public static final PropertyTag PR_COLLECTOR

    - #### PR_FAST_TRANSFER

          public static final PropertyTag PR_FAST_TRANSFER

    - #### PR_IPM_FAVORITES_ENTRYID

          public static final PropertyTag PR_IPM_FAVORITES_ENTRYID

    - #### PR_IPM_PUBLIC_FOLDERS_ENTRYID

          public static final PropertyTag PR_IPM_PUBLIC_FOLDERS_ENTRYID

    - #### PR_STORE_OFFLINE

          public static final PropertyTag PR_STORE_OFFLINE

    - #### PR_CHANGE_ADVISOR

          public static final PropertyTag PR_CHANGE_ADVISOR

    - #### PR_FAVORITES_DEFAULT_NAME

          public static final PropertyTag PR_FAVORITES_DEFAULT_NAME

    - #### PR_SYS_CONFIG_FOLDER_ENTRYID

          public static final PropertyTag PR_SYS_CONFIG_FOLDER_ENTRYID

    - #### PR_CHANGE_NOTIFICATION_GUID

          public static final PropertyTag PR_CHANGE_NOTIFICATION_GUID

    - #### PR_FOLDER_CHILD_COUNT

          public static final PropertyTag PR_FOLDER_CHILD_COUNT

    - #### PR_RIGHTS

          public static final PropertyTag PR_RIGHTS

    - #### PR_HAS_RULES

          public static final PropertyTag PR_HAS_RULES

    - #### PR_ADDRESS_BOOK_ENTRYID

          public static final PropertyTag PR_ADDRESS_BOOK_ENTRYID

    - #### PR_PUBLIC_FOLDER_ENTRYID

          public static final PropertyTag PR_PUBLIC_FOLDER_ENTRYID

    - #### PR_OFFLINE_FLAGS

          public static final PropertyTag PR_OFFLINE_FLAGS

    - #### PR_HIERARCHY_CHANGE_NUM

          public static final PropertyTag PR_HIERARCHY_CHANGE_NUM

    - #### PR_HAS_MODERATOR_RULES

          public static final PropertyTag PR_HAS_MODERATOR_RULES

    - #### PR_DELETED_MSG_COUNT

          public static final PropertyTag PR_DELETED_MSG_COUNT

    - #### PR_DELETED_FOLDER_COUNT

          public static final PropertyTag PR_DELETED_FOLDER_COUNT

    - #### PR_OLDEST_DELETED_ON

          public static final PropertyTag PR_OLDEST_DELETED_ON

    - #### PR_DELETED_ASSOC_MSG_COUNT

          public static final PropertyTag PR_DELETED_ASSOC_MSG_COUNT

    - #### PR_REPLICA_SERVER

          public static final PropertyTag PR_REPLICA_SERVER

    - #### PR_CLIENT_ACTIONS

          public static final PropertyTag PR_CLIENT_ACTIONS

    - #### PR_DAM_ORIGINAL_ENTRYID

          public static final PropertyTag PR_DAM_ORIGINAL_ENTRYID

    - #### PR_DAM_BACK_PATCHED

          public static final PropertyTag PR_DAM_BACK_PATCHED

    - #### PR_RULE_ERROR

          public static final PropertyTag PR_RULE_ERROR

    - #### PR_RULE_ACTION_TYPE

          public static final PropertyTag PR_RULE_ACTION_TYPE

    - #### PR_HAS_NAMED_PROPERTIES

          public static final PropertyTag PR_HAS_NAMED_PROPERTIES

    - #### PR_REPLICA_VERSION

          public static final PropertyTag PR_REPLICA_VERSION

    - #### PR_RULE_ACTION_NUMBER

          public static final PropertyTag PR_RULE_ACTION_NUMBER

    - #### PR_RULE_FOLDER_ENTRYID

          public static final PropertyTag PR_RULE_FOLDER_ENTRYID

    - #### PR_ACTIVE_USER_ENTRYID

          public static final PropertyTag PR_ACTIVE_USER_ENTRYID

    - #### PR_X400_ENVELOPE_TYPE

          public static final PropertyTag PR_X400_ENVELOPE_TYPE

    - #### PR_MSG_FOLD_TIME

          public static final PropertyTag PR_MSG_FOLD_TIME

    - #### PR_ICS_CHANGE_KEY

          public static final PropertyTag PR_ICS_CHANGE_KEY

    - #### PR_GW_ADMIN_OPERATIONS

          public static final PropertyTag PR_GW_ADMIN_OPERATIONS

    - #### PR_INTERNET_CONTENT

          public static final PropertyTag PR_INTERNET_CONTENT

    - #### PR_HAS_ATTACH_FROM_IMAIL

          public static final PropertyTag PR_HAS_ATTACH_FROM_IMAIL

    - #### PR_ORIGINATOR_NAME

          public static final PropertyTag PR_ORIGINATOR_NAME

    - #### PR_ORIGINATOR_ADDR

          public static final PropertyTag PR_ORIGINATOR_ADDR

    - #### PR_ORIGINATOR_ADDRTYPE

          public static final PropertyTag PR_ORIGINATOR_ADDRTYPE

    - #### PR_ORIGINATOR_ENTRYID

          public static final PropertyTag PR_ORIGINATOR_ENTRYID

    - #### PR_ARRIVAL_TIME

          public static final PropertyTag PR_ARRIVAL_TIME

    - #### PR_TRACE_INFO

          public static final PropertyTag PR_TRACE_INFO

    - #### PR_SUBJECT_TRACE_INFO

          public static final PropertyTag PR_SUBJECT_TRACE_INFO

    - #### PR_RECIPIENT_NUMBER

          public static final PropertyTag PR_RECIPIENT_NUMBER

    - #### PR_MTS_SUBJECT_ID

          public static final PropertyTag PR_MTS_SUBJECT_ID

    - #### PR_REPORT_DESTINATION_NAME

          public static final PropertyTag PR_REPORT_DESTINATION_NAME

    - #### PR_REPORT_DESTINATION_ENTRYID

          public static final PropertyTag PR_REPORT_DESTINATION_ENTRYID

    - #### PR_CONTENT_SEARCH_KEY

          public static final PropertyTag PR_CONTENT_SEARCH_KEY

    - #### PR_FOREIGN_ID

          public static final PropertyTag PR_FOREIGN_ID

    - #### PR_FOREIGN_REPORT_ID

          public static final PropertyTag PR_FOREIGN_REPORT_ID

    - #### PR_FOREIGN_SUBJECT_ID

          public static final PropertyTag PR_FOREIGN_SUBJECT_ID

    - #### PR_INTERNAL_TRACE_INFO

          public static final PropertyTag PR_INTERNAL_TRACE_INFO

    - #### PR_PROMOTE_PROP_ID_LIST

          public static final PropertyTag PR_PROMOTE_PROP_ID_LIST

    - #### PR_IN_CONFLICT

          public static final PropertyTag PR_IN_CONFLICT

    - #### PR_LONGTERM_ENTRYID_FROM_TABLE

          public static final PropertyTag PR_LONGTERM_ENTRYID_FROM_TABLE

    - #### PR_MEMBER_ID

          public static final PropertyTag PR_MEMBER_ID

    - #### PR_MEMBER_NAME

          public static final PropertyTag PR_MEMBER_NAME

    - #### PR_MEMBER_RIGHTS

          public static final PropertyTag PR_MEMBER_RIGHTS

    - #### PR_RULE_ID

          public static final PropertyTag PR_RULE_ID

    - #### PR_RULE_IDS

          public static final PropertyTag PR_RULE_IDS

    - #### PR_RULE_SEQUENCE

          public static final PropertyTag PR_RULE_SEQUENCE

    - #### PR_RULE_STATE

          public static final PropertyTag PR_RULE_STATE

    - #### PR_RULE_USER_FLAGS

          public static final PropertyTag PR_RULE_USER_FLAGS

    - #### PR_RULE_CONDITION

          public static final PropertyTag PR_RULE_CONDITION

    - #### PR_PROFILE_MOAB

          public static final PropertyTag PR_PROFILE_MOAB

    - #### PR_PROFILE_MOAB_GUID

          public static final PropertyTag PR_PROFILE_MOAB_GUID

    - #### PR_PROFILE_MOAB_SEQ

          public static final PropertyTag PR_PROFILE_MOAB_SEQ

    - #### PR_IMPLIED_RESTRICTIONS

          public static final PropertyTag PR_IMPLIED_RESTRICTIONS

    - #### PR_RULE_ACTIONS

          public static final PropertyTag PR_RULE_ACTIONS

    - #### PR_RULE_PROVIDER

          public static final PropertyTag PR_RULE_PROVIDER

    - #### PR_RULE_NAME

          public static final PropertyTag PR_RULE_NAME

    - #### PR_RULE_LEVEL

          public static final PropertyTag PR_RULE_LEVEL

    - #### PR_RULE_PROVIDER_DATA

          public static final PropertyTag PR_RULE_PROVIDER_DATA

    - #### PR_LAST_FULL_BACKUP

          public static final PropertyTag PR_LAST_FULL_BACKUP

    - #### PR_PROFILE_ADDR_INFO

          public static final PropertyTag PR_PROFILE_ADDR_INFO

    - #### PR_PROFILE_OPTIONS_DATA

          public static final PropertyTag PR_PROFILE_OPTIONS_DATA

    - #### PR_EVENTS_ROOT_FOLDER_ENTRYID

          public static final PropertyTag PR_EVENTS_ROOT_FOLDER_ENTRYID

    - #### PR_NNTP_ARTICLE_FOLDER_ENTRYID

          public static final PropertyTag PR_NNTP_ARTICLE_FOLDER_ENTRYID

    - #### PR_NNTP_CONTROL_FOLDER_ENTRYID

          public static final PropertyTag PR_NNTP_CONTROL_FOLDER_ENTRYID

    - #### PR_NEWSGROUP_ROOT_FOLDER_ENTRYID

          public static final PropertyTag PR_NEWSGROUP_ROOT_FOLDER_ENTRYID

    - #### PR_INBOUND_NEWSFEED_DN

          public static final PropertyTag PR_INBOUND_NEWSFEED_DN

    - #### PR_OUTBOUND_NEWSFEED_DN

          public static final PropertyTag PR_OUTBOUND_NEWSFEED_DN

    - #### PR_DELETED_ON

          public static final PropertyTag PR_DELETED_ON

    - #### PR_REPLICATION_STYLE

          public static final PropertyTag PR_REPLICATION_STYLE

    - #### PR_REPLICATION_SCHEDULE

          public static final PropertyTag PR_REPLICATION_SCHEDULE

    - #### PR_REPLICATION_MESSAGE_PRIORITY

          public static final PropertyTag PR_REPLICATION_MESSAGE_PRIORITY

    - #### PR_OVERALL_MSG_AGE_LIMIT

          public static final PropertyTag PR_OVERALL_MSG_AGE_LIMIT

    - #### PR_REPLICATION_ALWAYS_INTERVAL

          public static final PropertyTag PR_REPLICATION_ALWAYS_INTERVAL

    - #### PR_REPLICATION_MSG_SIZE

          public static final PropertyTag PR_REPLICATION_MSG_SIZE

    - #### PR_IS_NEWSGROUP_ANCHOR

          public static final PropertyTag PR_IS_NEWSGROUP_ANCHOR

    - #### PR_IS_NEWSGROUP

          public static final PropertyTag PR_IS_NEWSGROUP

    - #### PR_REPLICA_LIST

          public static final PropertyTag PR_REPLICA_LIST

    - #### PR_OVERALL_AGE_LIMIT

          public static final PropertyTag PR_OVERALL_AGE_LIMIT

    - #### PR_INTERNET_CHARSET

          public static final PropertyTag PR_INTERNET_CHARSET

    - #### PR_DELETED_MESSAGE_SIZE_EXTENDED

          public static final PropertyTag PR_DELETED_MESSAGE_SIZE_EXTENDED

    - #### PR_DELETED_NORMAL_MESSAGE_SIZE_EXTENDED

          public static final PropertyTag PR_DELETED_NORMAL_MESSAGE_SIZE_EXTENDED

    - #### PR_DELETED_ASSOC_MESSAGE_SIZE_EXTENDED

          public static final PropertyTag PR_DELETED_ASSOC_MESSAGE_SIZE_EXTENDED

    - #### PR_SECURE_IN_SITE

          public static final PropertyTag PR_SECURE_IN_SITE

    - #### PR_NT_USER_NAME

          public static final PropertyTag PR_NT_USER_NAME

    - #### PR_LOCALE_ID

          public static final PropertyTag PR_LOCALE_ID

    - #### PR_LAST_LOGON_TIME

          public static final PropertyTag PR_LAST_LOGON_TIME

    - #### PR_LAST_LOGOFF_TIME

          public static final PropertyTag PR_LAST_LOGOFF_TIME

    - #### PR_STORAGE_LIMIT_INFORMATION

          public static final PropertyTag PR_STORAGE_LIMIT_INFORMATION

    - #### PR_NEWSGROUP_COMPONENT

          public static final PropertyTag PR_NEWSGROUP_COMPONENT

    - #### PR_NEWSFEED_INFO

          public static final PropertyTag PR_NEWSFEED_INFO

    - #### PR_INTERNET_NEWSGROUP_NAME

          public static final PropertyTag PR_INTERNET_NEWSGROUP_NAME

    - #### PR_FOLDER_FLAGS

          public static final PropertyTag PR_FOLDER_FLAGS

    - #### PR_LAST_ACCESS_TIME

          public static final PropertyTag PR_LAST_ACCESS_TIME

    - #### PR_RESTRICTION_COUNT

          public static final PropertyTag PR_RESTRICTION_COUNT

    - #### PR_CATEG_COUNT

          public static final PropertyTag PR_CATEG_COUNT

    - #### PR_CACHED_COLUMN_COUNT

          public static final PropertyTag PR_CACHED_COLUMN_COUNT

    - #### PR_NORMAL_MSG_W_ATTACH_COUNT

          public static final PropertyTag PR_NORMAL_MSG_W_ATTACH_COUNT

    - #### PR_ASSOC_MSG_W_ATTACH_COUNT

          public static final PropertyTag PR_ASSOC_MSG_W_ATTACH_COUNT

    - #### PR_RECIPIENT_ON_NORMAL_MSG_COUNT

          public static final PropertyTag PR_RECIPIENT_ON_NORMAL_MSG_COUNT

    - #### PR_RECIPIENT_ON_ASSOC_MSG_COUNT

          public static final PropertyTag PR_RECIPIENT_ON_ASSOC_MSG_COUNT

    - #### PR_ATTACH_ON_NORMAL_MSG_COUNT

          public static final PropertyTag PR_ATTACH_ON_NORMAL_MSG_COUNT

    - #### PR_ATTACH_ON_ASSOC_MSG_COUNT

          public static final PropertyTag PR_ATTACH_ON_ASSOC_MSG_COUNT

    - #### PR_NORMAL_MESSAGE_SIZE

          public static final PropertyTag PR_NORMAL_MESSAGE_SIZE

    - #### PR_NORMAL_MESSAGE_SIZE_EXTENDED

          public static final PropertyTag PR_NORMAL_MESSAGE_SIZE_EXTENDED

    - #### PR_ASSOC_MESSAGE_SIZE

          public static final PropertyTag PR_ASSOC_MESSAGE_SIZE

    - #### PR_ASSOC_MESSAGE_SIZE_EXTENDED

          public static final PropertyTag PR_ASSOC_MESSAGE_SIZE_EXTENDED

    - #### PR_FOLDER_PATHNAME

          public static final PropertyTag PR_FOLDER_PATHNAME

    - #### PR_OWNER_COUNT

          public static final PropertyTag PR_OWNER_COUNT

    - #### PR_CONTACT_COUNT

          public static final PropertyTag PR_CONTACT_COUNT

    - #### PR_CODE_PAGE_ID

          public static final PropertyTag PR_CODE_PAGE_ID

    - #### PR_RETENTION_AGE_LIMIT

          public static final PropertyTag PR_RETENTION_AGE_LIMIT

    - #### PR_DISABLE_PERUSER_READ

          public static final PropertyTag PR_DISABLE_PERUSER_READ

    - #### PR_INTERNET_PARSE_STATE

          public static final PropertyTag PR_INTERNET_PARSE_STATE

    - #### PR_INTERNET_MESSAGE_INFO

          public static final PropertyTag PR_INTERNET_MESSAGE_INFO

    - #### PR_PST_PATH

          public static final PropertyTag PR_PST_PATH

    - #### PR_PST_REMEMBER_PW

          public static final PropertyTag PR_PST_REMEMBER_PW

    - #### PR_OST_ENCRYPTION

          public static final PropertyTag PR_OST_ENCRYPTION

    - #### PR_PST_ENCRYPTION

          public static final PropertyTag PR_PST_ENCRYPTION

    - #### PR_PST_PW_SZ_OLD

          public static final PropertyTag PR_PST_PW_SZ_OLD

    - #### PR_PST_PW_SZ_NEW

          public static final PropertyTag PR_PST_PW_SZ_NEW

    - #### PR_SORT_LOCALE_ID

          public static final PropertyTag PR_SORT_LOCALE_ID

    - #### PR_URL_NAME

          public static final PropertyTag PR_URL_NAME

    - #### PR_LOCAL_COMMIT_TIME

          public static final PropertyTag PR_LOCAL_COMMIT_TIME

    - #### PR_LOCAL_COMMIT_TIME_MAX

          public static final PropertyTag PR_LOCAL_COMMIT_TIME_MAX

    - #### PR_DELETED_COUNT_TOTAL

          public static final PropertyTag PR_DELETED_COUNT_TOTAL

    - #### PR_AUTO_RESET

          public static final PropertyTag PR_AUTO_RESET

    - #### PR_URL_COMP_NAME_HASH

          public static final PropertyTag PR_URL_COMP_NAME_HASH

    - #### PR_MSG_FOLDER_TEMPLATE_RES_2

          public static final PropertyTag PR_MSG_FOLDER_TEMPLATE_RES_2

    - #### PR_RANK

          public static final PropertyTag PR_RANK

    - #### PR_MSG_FOLDER_TEMPLATE_RES_4

          public static final PropertyTag PR_MSG_FOLDER_TEMPLATE_RES_4

    - #### PR_MSG_FOLDER_TEMPLATE_RES_5

          public static final PropertyTag PR_MSG_FOLDER_TEMPLATE_RES_5

    - #### PR_MSG_FOLDER_TEMPLATE_RES_6

          public static final PropertyTag PR_MSG_FOLDER_TEMPLATE_RES_6

    - #### PR_MSG_FOLDER_TEMPLATE_RES_7

          public static final PropertyTag PR_MSG_FOLDER_TEMPLATE_RES_7

    - #### PR_MSG_FOLDER_TEMPLATE_RES_8

          public static final PropertyTag PR_MSG_FOLDER_TEMPLATE_RES_8

    - #### PR_MSG_FOLDER_TEMPLATE_RES_9

          public static final PropertyTag PR_MSG_FOLDER_TEMPLATE_RES_9

    - #### PR_MSG_FOLDER_TEMPLATE_RES_10

          public static final PropertyTag PR_MSG_FOLDER_TEMPLATE_RES_10

    - #### PR_MSG_FOLDER_TEMPLATE_RES_11

          public static final PropertyTag PR_MSG_FOLDER_TEMPLATE_RES_11

    - #### PR_MSG_FOLDER_TEMPLATE_RES_12

          public static final PropertyTag PR_MSG_FOLDER_TEMPLATE_RES_12

    - #### PR_PF_PLATINUM_HOME_MDB

          public static final PropertyTag PR_PF_PLATINUM_HOME_MDB

    - #### PR_PF_PROXY_REQUIRED

          public static final PropertyTag PR_PF_PROXY_REQUIRED

    - #### PR_INTERNET_FREE_DOC_INFO

          public static final PropertyTag PR_INTERNET_FREE_DOC_INFO

    - #### PR_PF_OVER_HARD_QUOTA_LIMIT

          public static final PropertyTag PR_PF_OVER_HARD_QUOTA_LIMIT

    - #### PR_PF_MSG_SIZE_LIMIT

          public static final PropertyTag PR_PF_MSG_SIZE_LIMIT

    - #### PR_CONNECTION_MODULUS

          public static final PropertyTag PR_CONNECTION_MODULUS

    - #### PR_DELIVER_TO_DN

          public static final PropertyTag PR_DELIVER_TO_DN

    - #### PR_MIME_SIZE

          public static final PropertyTag PR_MIME_SIZE

    - #### PR_FILE_SIZE_EXTENDED

          public static final PropertyTag PR_FILE_SIZE_EXTENDED

    - #### PR_FID

          public static final PropertyTag PR_FID

    - #### PR_PARENT_FID

          public static final PropertyTag PR_PARENT_FID

    - #### PR_MID

          public static final PropertyTag PR_MID

    - #### PR_CATEG_ID

          public static final PropertyTag PR_CATEG_ID

    - #### PR_PARENT_CATEG_ID

          public static final PropertyTag PR_PARENT_CATEG_ID

    - #### PR_INST_ID

          public static final PropertyTag PR_INST_ID

    - #### PR_INSTANCE_NUM

          public static final PropertyTag PR_INSTANCE_NUM

    - #### PR_ADDRBOOK_MID

          public static final PropertyTag PR_ADDRBOOK_MID

    - #### PR_ICS_NOTIF

          public static final PropertyTag PR_ICS_NOTIF

    - #### PR_ARTICLE_NUM_NEXT

          public static final PropertyTag PR_ARTICLE_NUM_NEXT

    - #### PR_IMAP_LAST_ARTICLE_ID

          public static final PropertyTag PR_IMAP_LAST_ARTICLE_ID

    - #### PR_NOT_822_RENDERABLE

          public static final PropertyTag PR_NOT_822_RENDERABLE

    - #### PR_LTID

          public static final PropertyTag PR_LTID

    - #### PR_CN_EXPORT

          public static final PropertyTag PR_CN_EXPORT

    - #### PR_PCL_EXPORT

          public static final PropertyTag PR_PCL_EXPORT

    - #### PR_CN_MV_EXPORT

          public static final PropertyTag PR_CN_MV_EXPORT

    - #### PR_PF_QUOTA_STYLE

          public static final PropertyTag PR_PF_QUOTA_STYLE

    - #### PR_PF_STORAGE_QUOTA

          public static final PropertyTag PR_PF_STORAGE_QUOTA

    - #### PR_SEARCH_FLAGS

          public static final PropertyTag PR_SEARCH_FLAGS

    - #### PR_ASSOCIATED

          public static final PropertyTag PR_ASSOCIATED

    - #### PR_PROFILE_SECURE_MAILBOX

          public static final PropertyTag PR_PROFILE_SECURE_MAILBOX

    - #### PR_MAILBEAT_BOUNCE_SERVER

          public static final PropertyTag PR_MAILBEAT_BOUNCE_SERVER

    - #### PR_MAILBEAT_REQUEST_SENT

          public static final PropertyTag PR_MAILBEAT_REQUEST_SENT

    - #### PR_USENET_SITE_NAME

          public static final PropertyTag PR_USENET_SITE_NAME

    - #### PR_MAILBEAT_REQUEST_RECEIVED

          public static final PropertyTag PR_MAILBEAT_REQUEST_RECEIVED

    - #### PR_MAILBEAT_REQUEST_PROCESSED

          public static final PropertyTag PR_MAILBEAT_REQUEST_PROCESSED

    - #### PR_MAILBEAT_REPLY_SENT

          public static final PropertyTag PR_MAILBEAT_REPLY_SENT

    - #### PR_MAILBEAT_REPLY_SUBMIT

          public static final PropertyTag PR_MAILBEAT_REPLY_SUBMIT

    - #### PR_MAILBEAT_REPLY_RECEIVED

          public static final PropertyTag PR_MAILBEAT_REPLY_RECEIVED

    - #### PR_MAILBEAT_REPLY_PROCESSED

          public static final PropertyTag PR_MAILBEAT_REPLY_PROCESSED

    - #### PR_DELEGATES_DISPLAY_NAMES

          public static final PropertyTag PR_DELEGATES_DISPLAY_NAMES

    - #### PR_DELEGATES_ENTRYIDS

          public static final PropertyTag PR_DELEGATES_ENTRYIDS

    - #### PR_FREEBUSY_START_RANGE

          public static final PropertyTag PR_FREEBUSY_START_RANGE

    - #### PR_FREEBUSY_END_RANGE

          public static final PropertyTag PR_FREEBUSY_END_RANGE

    - #### PR_FREEBUSY_EMAIL_ADDRESS

          public static final PropertyTag PR_FREEBUSY_EMAIL_ADDRESS

    - #### PR_FREEBUSY_ALL_MONTHS

          public static final PropertyTag PR_FREEBUSY_ALL_MONTHS

    - #### PR_FREEBUSY_ALL_EVENTS

          public static final PropertyTag PR_FREEBUSY_ALL_EVENTS

    - #### PR_FREEBUSY_TENTATIVE_MONTHS

          public static final PropertyTag PR_FREEBUSY_TENTATIVE_MONTHS

    - #### PR_FREEBUSY_TENTATIVE_EVENTS

          public static final PropertyTag PR_FREEBUSY_TENTATIVE_EVENTS

    - #### PR_FREEBUSY_BUSY_MONTHS

          public static final PropertyTag PR_FREEBUSY_BUSY_MONTHS

    - #### PR_FREEBUSY_BUSY_EVENTS

          public static final PropertyTag PR_FREEBUSY_BUSY_EVENTS

    - #### PR_FREEBUSY_OOF_MONTHS

          public static final PropertyTag PR_FREEBUSY_OOF_MONTHS

    - #### PR_FREEBUSY_OOF_EVENTS

          public static final PropertyTag PR_FREEBUSY_OOF_EVENTS

    - #### PR_FREEBUSY_LAST_MODIFIED

          public static final PropertyTag PR_FREEBUSY_LAST_MODIFIED

    - #### PR_FREEBUSY_NUM_MONTHS

          public static final PropertyTag PR_FREEBUSY_NUM_MONTHS

    - #### PR_DELEGATES_SEE_PRIVATE

          public static final PropertyTag PR_DELEGATES_SEE_PRIVATE

    - #### PR_PERSONAL_FREEBUSY

          public static final PropertyTag PR_PERSONAL_FREEBUSY

    - #### PR_PROCESS_MEETING_REQUESTS

          public static final PropertyTag PR_PROCESS_MEETING_REQUESTS

    - #### PR_DECLINE_RECURRING_MEETING_REQUESTS

          public static final PropertyTag PR_DECLINE_RECURRING_MEETING_REQUESTS

    - #### PR_DECLINE_CONFLICTING_MEETING_REQUESTS

          public static final PropertyTag PR_DECLINE_CONFLICTING_MEETING_REQUESTS

    - #### PR_VD_BINARY

          public static final PropertyTag PR_VD_BINARY

    - #### PR_VD_STRINGS

          public static final PropertyTag PR_VD_STRINGS

    - #### PR_VD_FLAGS

          public static final PropertyTag PR_VD_FLAGS

    - #### PR_VD_LINK_TO

          public static final PropertyTag PR_VD_LINK_TO

    - #### PR_VD_VIEW_FOLDER

          public static final PropertyTag PR_VD_VIEW_FOLDER

    - #### PR_VD_NAME

          public static final PropertyTag PR_VD_NAME

    - #### PR_VD_VERSION

          public static final PropertyTag PR_VD_VERSION

    - #### PR_FAV_DISPLAY_NAME

          public static final PropertyTag PR_FAV_DISPLAY_NAME

    - #### PR_FAV_DISPLAY_ALIAS

          public static final PropertyTag PR_FAV_DISPLAY_ALIAS

    - #### PR_FAV_PUBLIC_SOURCE_KEY

          public static final PropertyTag PR_FAV_PUBLIC_SOURCE_KEY

    - #### PR_OST_OSTID

          public static final PropertyTag PR_OST_OSTID

    - #### PR_STORE_SLOWLINK

          public static final PropertyTag PR_STORE_SLOWLINK

    - #### PR_FAV_AUTOSUBFOLDERS

          public static final PropertyTag PR_FAV_AUTOSUBFOLDERS

    - #### PR_FAV_PARENT_SOURCE_KEY

          public static final PropertyTag PR_FAV_PARENT_SOURCE_KEY

    - #### PR_FAV_LEVEL_MASK

          public static final PropertyTag PR_FAV_LEVEL_MASK

    - #### PR_FAV_INHERIT_AUTO

          public static final PropertyTag PR_FAV_INHERIT_AUTO

    - #### PR_FAV_DEL_SUBS

          public static final PropertyTag PR_FAV_DEL_SUBS

    - #### PR_EXCEPTION_STARTTIME

          public static final PropertyTag PR_EXCEPTION_STARTTIME

    - #### PR_EXCEPTION_ENDTIME

          public static final PropertyTag PR_EXCEPTION_ENDTIME

    - #### PR_ATTACHMENT_LINKID

          public static final PropertyTag PR_ATTACHMENT_LINKID

    - #### PR_ATTACHMENT_FLAGS

          public static final PropertyTag PR_ATTACHMENT_FLAGS

    - #### PR_ATTACHMENT_HIDDEN

          public static final PropertyTag PR_ATTACHMENT_HIDDEN

    - #### PR_ATTACHMENT_CONTACTPHOTO

          public static final PropertyTag PR_ATTACHMENT_CONTACTPHOTO

    - #### PR_ATTACH_EXTENSION_W

          public static final PropertyTag PR_ATTACH_EXTENSION_W

    - #### PR_ATTACH_FILENAME_W

          public static final PropertyTag PR_ATTACH_FILENAME_W

    - #### PR_ATTACH_LONG_FILENAME_W

          public static final PropertyTag PR_ATTACH_LONG_FILENAME_W